Index: maquetacion/capitulo5/capitulo5.tex
===================================================================
--- maquetacion/capitulo5/capitulo5.tex	(revision e4101ddec1f9131f73d5deb1396e850a275acf0e)
+++ maquetacion/capitulo5/capitulo5.tex	(revision 65b942d87c7d48ff242171f08a0c753e13d3328a)
@@ -30,5 +30,6 @@
 %\begin{abstract}
 Una Autoridad de Certificación Raíz (AC Raíz) es un componente que tiene el rol de ser el 
-punto más alto de confianza en un ICP. Una ICP genera certificados electrónicos de acuerdo al 
+punto más alto de confianza en una ICP. Una ICP genera certificados electrónicos
+de acuerdo al 
 estándar X.509 proporcionando seguridad lógica, y vinculación
 legal a las transacciones que realiza el titular del certificado en 
@@ -44,5 +45,6 @@
 requisitos, con el objetivo de producir una visión formal de los procesos a 
 automatizar. Se dedica una sección a la implementación que consiste
-en la codificación en un lenguaje de programación, de los procesos previstos en las 
+en la codificación en un lenguaje de programación de los procesos previstos en
+las 
 etapas anteriores, como también, de la incorporación de mecanismos fuertes de 
 validación de identidad de usuarios, registro de eventos, firma de acciones por parte 
@@ -126,5 +128,6 @@
 estándar X.509\cite{NASH:02}, los certificados electrónicos que emite la AC. 
 La discusión de importantes aspectos que surgen en las diferentes etapas del 
-proceso desarrollo de la aplicación de gestión, y que están vinculados con los 
+proceso de desarrollo de la aplicación de gestión, y que están vinculados con
+los 
 principios del software libre y los requisitos muy particulares del ambiente 
 de despliegue, subrayan los objetivos propuestos de este trabajo.
@@ -223,5 +226,5 @@
 
 X.509 y X.500 fueron originalmente dise\~nados a mediados de los a\~nos 80, antes 
-del enorme crecimiento de usuarios en la Internet. Es por esto por lo que se 
+del enorme crecimiento de usuarios en la Internet. Es por esto que se 
 dise\~naron para operar en un ambiente donde sólo los computadores se interconectaban 
 intermitentemente entre ellos. En las versiones  1 y 2 de X.509 se utiliza una 
@@ -239,5 +242,5 @@
 clientes (personas o programas) de un nivel más alto en los procesos de 
 autenticación y autorización, ya que se le otorga al cliente algo que puede poseer, 
-incluso incluir dentro de elemento físico, como una tarjeta inteligente. 
+incluso incluir dentro de un elemento físico, como una tarjeta inteligente. 
 Los certificados en el formato X.509 v3 contienen datos del sujeto, 
 como su nombre, dirección, correo electrónico, etc. La figura \ref{fig:estandarx509}
@@ -277,6 +280,8 @@
 
  \item \textbf{Certificados personales (Correo electrónico y navegación):} Un certificado electrónico 
- personal es la herramienta necesaria para navegar, comprar y enviar/recibir correo 
- a través de la Internet, de una manera segura. Con el uso de este certificado se puede 
+ personal es la herramienta necesaria para navegar, comprar y enviar o recibir
+correo 
+ a través de la Internet, de una manera segura. Con el uso de este certificado
+se pueden 
  firmar o cifrar los mensajes  de correo para tener la seguridad que el receptor será 
  el único lector de nuestro mensaje. Se puede aumentar la seguridad y confianza entre el 
@@ -305,5 +310,5 @@
 El Lenguaje de Modelado Unificado (UML por sus siglas en inglés) 
 permite diseñar sistemas a través de  modelos, que se componen de un conjunto 
-de símbolos y diagramas en donde se plasma las ideas de funcionalidad. 
+de símbolos y diagramas en donde se plasman las ideas de funcionalidad. 
 El UML fue creado por Grady Booch, James Rumbaugh e Ivar Jacobson en el año 
 1997\cite{SCHM:03},\cite{BOOC:99} y \cite{MULL:97}. Cada diagrama tiene fines distintos 
@@ -314,5 +319,6 @@
 
 \begin{itemize}
- \item Diagramas de casos de uso
+\item Diagramas de clases
+\item Diagramas de casos de uso
 \item Diagramas de estados
 \item Diagramas de secuencias
@@ -330,5 +336,5 @@
 pueden clasificarse los objetos del mundo real. En general, se hace una descripción 
 de las categorías que se utilizan en la aplicación a desarrollar. Las clases se 
-diseñan en función de sus atributos y relaciones con otras clases.
+dise\~nan en función de sus atributos y relaciones con otras clases.
 
 \textbf{Diagramas de casos de uso:} son descripciones de las acciones que debe 
@@ -368,5 +374,6 @@
 establecer un tercero de confianza, que se define, como un actor encargado de 
 brindar confianza basada en la disponibilidad de una infraestructura robusta que 
-incluya el uso tecnologías basadas en algoritmos criptográficos estandarizados, 
+incluya el uso de tecnologías basadas en algoritmos criptográficos
+estandarizados, 
 y la aplicación estricta de políticas para los procesos de registro, publicación, 
 firma, renovación y revocación de certificados. 
@@ -390,5 +397,5 @@
 \item Interfaz con los clientes (PUB): es el nodo  que brinda toda la información 
 a las entidades finales (usuarios) sobre el estado de su certificado, además de 
-ofrecer una información general al público en general sobre los aspectos y servicios 
+ofrecer una información al público en general sobre los aspectos y servicios 
 relevantes de la ICP.
 \end{itemize}
@@ -414,5 +421,6 @@
 imposible el manejo de estabilidad, administración y protección. El objetivo 
 es que las entidades finales que utilizan identidades creadas por una AC puedan 
-confiar en ellas, aunque dichas partes tenga una autoridad expedidora diferente.   
+confiar en ellas, aunque dichas partes tengan una autoridad expedidora
+diferente.   
 
 
@@ -438,5 +446,6 @@
 una AC Raíz y una AC de un Proveedor de Servicios de Certificación (PSC). La diferencia 
 principal entre estos dos tipos de AC, es la cantidad de certificados que deben gestionar 
-(firmar, renovar, revocar, etc) , en un determinado periodo cada uno de ellos. Esto es, una 
+(firmar, renovar, revocar, etc.) , en un determinado periodo cada uno de ellos.
+Esto es, una 
 AC Raíz solo gestiona un número mínimo de certificados,  los cuáles sirven para dar inicio a 
 la jerarquía (certificados otorgados a los PSC), por el contrario, una AC de un PSC debe 
@@ -464,6 +473,8 @@
 Considerando los aspectos nombrados anteriormente, en este punto se elabora una lista 
 inicial de requisitos, con la cual debe cumplir la aplicación. Como técnicas utilizadas 
-en ésta etapa están la realización de entrevistas a clientes, a posibles administradores 
-y operadores; la elaboración de tablas comparativas entre diferentes aplicaciones que 
+en esta etapa están la realización de entrevistas a clientes, a posibles
+administradores 
+y operadores; así como la elaboración de tablas comparativas entre diferentes
+aplicaciones que 
 existen en las bibliotecas o portales de software libre, con la finalidad de evaluar las 
 herramientas a utilizar en la elaboración de la aplicación. 
@@ -495,5 +506,6 @@
 este actor son emisión, renovación y revocación de certificados, que conlleva procesos 
 de firma con la clave privada, modificación de los periodos de vigencia del certificado 
-y elaboración de listas de certificados revocados respectivamente para casa caso de uso.
+y elaboración de listas de certificados revocados respectivamente para cada caso
+de uso.
 
 \begin{figure}[htb]
@@ -529,5 +541,6 @@
 recaudos necesarios para que se le firme su solicitud, el Administrador de la AR, 
 quién es el encargado de chequear los recaudos entregados por el PSC, el Administrador 
-de la AC Raíz  y el Administrador PUB, este último encargado de de publicar en los 
+de la AC Raíz  y el Administrador PUB, este último encargado de publicar en
+los 
 diferentes repositorios los certificados (claves públicas) para que sean visibles por 
 el mayor número de usuarios interesados.  
@@ -626,20 +639,21 @@
 \subsection{Pruebas}
 
-Esta etapa tiene dos objetivos.  El  primero de consiste en asegurar que la 
+Esta etapa tiene dos objetivos.  El  primero consiste en asegurar que la 
 aplicación funcione correctamente, es decir, que se generen la menor cantidad 
 de salidas inesperadas o fallas a entradas dadas. En relación al logro de  este 
 objetivo  se utilizan un conjunto de técnicas aplicadas  a lo largo del proceso 
 de desarrollo, entre las cuáles se pueden citar la revisión en parejas \cite{PRESS:05}, 
-que consiste que la programación se realice en equipo de dos programadores por 
+que consiste en la programación se realice en equipo de dos programadores por 
 computador, uno de ellos se encarga de escribir los algoritmos en un lenguaje 
-de programación, y el segundo de ellos de revisarlo inmediatamente, después de 
-periodo de unas horas, que debe ser definido con anticipación, se intercambian 
+de programación, y el segundo de ellos de revisarlo inmediatamente; después de 
+periodo de unas horas establecido previamente, se intercambian 
 los roles. Otra de las técnicas utilizadas que es importante nombrar son las 
-pruebas unitarias \cite{PRESS:05}, las cuáles consisten en aplicar un número 
-casos de pruebas a métodos o módulos pequeños de la aplicación (unidades), 
+pruebas unitarias \cite{PRESS:05}, las cuáles consisten en aplicar un número
+de casos de pruebas a métodos o módulos pequeños de la aplicación (unidades), 
 de tal manera que se asegura que funcionan correctamente de forma independiente. 
 Seguidamente, se realizan pruebas de integración, que consisten en probar módulos
 más complejos formados por las unidades revisadas en las pruebas unitarias. 
-Las pruebas unitarias y de integración  presentan la ventajas que son automatizables, 
+Las pruebas unitarias y de integración  presentan las ventajas que son
+automatizables, 
 y por lo tanto, se cuenta con herramientas de software para llevarlas a cabo.
 
@@ -661,6 +675,8 @@
 Debido a que la aplicación de gestión de AC Raíz debe ser parte de una 
 infraestructura, es necesario realizar pruebas en condiciones similares a la 
-configuración final de ésta; por ello se simula la configuración de producción que 
-conlleva pruebas con el sistema operativo y el donde se instala la aplicación, 
+configuración final de ésta; por ello que se simula la configuración de
+producción que 
+conlleva pruebas con el sistema operativo y el lugar donde se instala la
+aplicación, 
 conexión con tarjetas inteligentes y el módulo de seguridad en hardware, 
 controles de acceso físico  y lógico, y desconexión de red, ya que la autoridad 
@@ -692,6 +708,8 @@
 
 Por otro lado, la configuración  conlleva el establecimiento de parámetros para 
-el funcionamiento la aplicación, tales como métodos de control y restricción de 
-acceso,  ubicación de archivos y directorios, rutas para importación e exportación
+el funcionamiento de la aplicación, tales como métodos de control y restricción
+de 
+acceso,  ubicación de archivos y directorios, rutas para importación y
+exportación
 de datos, perfiles de usuario, generación y nombres de claves, inicialización 
 de tarjetas inteligentes, inicialización  de HSM, y copias de seguridad.
@@ -701,5 +719,5 @@
 La puesta en marcha de una AC Raíz supone obligatoriamente contar con una 
 aplicación  que gestione este componente de la infraestructura. En este sentido, 
-éste trabajo mostró el proceso de desarrollo de una aplicación que respondiera 
+este trabajo mostró el proceso de desarrollo de una aplicación que respondiera 
 a los requisitos particulares de gestión, determinados por el rol de confianza 
 raíz que debe representar la Autoridad de Certificación. En función de ello, la 
@@ -720,5 +738,6 @@
 En la etapa de diseño, los diagramas de casos de uso y actividades sirvieron 
 para obtener una visión formal de los requisitos y de los procesos con los que 
-cumplir la aplicación. Estos documentos de diseño  en el lenguaje UML, permitieron 
+la aplicación debe cumplir . Estos documentos de diseño  en el lenguaje UML,
+permitieron 
 alcanzar de manera más rápida y certera los objetivos que son coincidentes con la 
 gestión real de una AC Raíz. 
@@ -732,5 +751,5 @@
 herramientas web, la programación en equipos y las pruebas unitarias y de integración
 sirvieron para los procesos de prevención, notificación, búsqueda y arreglo de 
-errores, permitiendo además guardar una bitácora del progreso a la solución a 
+errores, permitiendo además guardar una bitácora del progreso a la solución de 
 problemas. La implementación de características específicas en función de los 
 requisitos cada vez más refinados y particulares que surgieron en las iteraciones 