Index: maquetacion/capitulo4/capitulo4.tex
===================================================================
--- maquetacion/capitulo4/capitulo4.tex	(revision e4b4b8792f21c3c52015f6ddbee76f7426bd3a06)
+++ maquetacion/capitulo4/capitulo4.tex	(revision 6828a039592e723aac4485e4c7144f3bc4399944)
@@ -2110,10 +2110,23 @@
  \section{Conclusiones}
 
- La Tecnologías de la información han traído como una de sus tantas consecuencias la necesidad de generar metodos que regulen la relaciones de las personas naturales y jurídicas con estás, con el pasar de los días hay más información y se generan nuevas aplicaciones, software y hardware que pueden ser empleados en beneficio o detrimento de la sociedad en general.
- Venezuela Cuenta en este momento con una plataforma legislativa que le permitirá obtener mejores resultados en ambito de la regulación de las tecnologías de la Información y específicamente en lo que a Identidad Digital se refiere, si bien es cierto las TI siempre irán algunos pasos adelante de las legislaciones en torno a ellas, en vista de los avances y usos que le dan son poco predecibles además que lo que hoy se emplea a favor de la sociedad por estos medios mañana podría emplearse en contra y a favor de unos pocos, no es menos cierto que los estilos legislativos deben potenciar formas amplias que le permitan mantenerse por periodos prolongados de tiempo sin que estas puedan ser consideradas obsoletas y inaplicables, para el caso Venezolano se cumple medianamente con ello, en opinión de la autora deberían generarse reglamentos específicos y procedimentales sobre: el Habeas Data, LECDI, LMDFE; así las cosas en el caso de la Ley de Infogobierno seria prudente que las comisiones que allí se crean sean nombradas a brevedad del caso a fin de evitar entre otras cosas interpretaciones erradas sobre la Ley, permitiendo con esta designación que el uso que se le sea el adecuado, permitiendo entonces que una norma que a todas luces se plantea como objeto mejorar las relaciones Estado-Ciudadano a fin desarrollar los servicios públicos y aumentar la credibilidad – transparencia del gobierno.
- Por otro lado el asunto de las políticas publicas y/o criminales que se tomen alrededor de las normas constituyen un elemento trascendental ya que a pesar que en la mayor parte de los casos las Leyes materia de TI tienen mas de una década de promulgadas, pareciera que hay un desconocimiento técnico de la regulación debido a la posible falta de formación por parte de los actores del aparato de justicia, dígase Jueces, defensores Públicos, Fiscales y Abogados, junto a esto se encuentra que las normas parecieran no hacer el énfasis adecuado en el peritaje forense que es un elemento estratégico para la interpretación y aplicación adecuada de las leyes en este ámbito.
-
- Volviendo al Tema de las políticas de Estado para mejorar las relaciones ciudadanos-información-medios tecnológicos es prudente encontrar formas que permitan tener un mayor y mejor control de la información automatizada de las distintas bases de datos, seria interesante entonces retomar la idea de la Cédula Electrónica, que entre alguna de sus ventajas está: la clave de garantía estará en la base de datos, podría afiliar la firma electrónica, toda la información del ciudadano se encontrará en un solo documento, permitirá saber con exactitud quien eres y evitara falsificación, pues los datos pueden ser cruzados y verificados de inmediato, evitara tramites administrativos y papeleos innecesarios; por otro lado el Estado Venezolano cuento con la infraestructura tecnológica necesaria para la puesta en marcha de la misma, para lo cual el Ministerio del Poder Popular para Ciencia, Tecnología e innovación puede junto con el Ministerio de Relaciones Exteriores y Justicia hacer alianzas que garanticen una cédula de calidad, segura calidad segura y eficaz que de garantía a los actos jurídicos emanados de estas y que puede ser tomada como fundamento internacional para otras iniciativas.
-
+ Las Tecnologías de la Información han traído como una de sus tantas consecuencias la necesidad de generar métodos que regulen las relaciones de las personas naturales y jurídicas con éstas, con el pasar de los días hay más información y se generan nuevas aplicaciones, software y hardware que pueden ser empleados en beneficio o detrimento de la sociedad en general.
+ Venezuela cuenta en este momento con una plataforma legislativa que le permitirá obtener mejores resultados en el ámbito de la regulación de las Tecnologías de la Información y, específicamente en lo que a Identidad Digital se refiere, si bien es cierto que las TI siempre irán algunos pasos adelante de las legislaciones en torno a ellas --- en vista de que sus avances y los usos que se les dan son poco predecibles, además que lo que hoy se emplea a favor de la sociedad por estos medios mañana podría emplearse en su contra y a favor de unos pocos --- no es menos cierto que los estilos legislativos deben potenciar formas amplias que le permitan mantenerse por periodos prolongados de tiempo sin que éstas puedan ser consideradas obsoletas e inaplicables.
+ Para el caso Venezolano se cumple medianamente con ello, en opinión de la autora deberían generarse reglamentos específicos y procedimentales sobre: el Habeas Data, LECDI, LMDFE; así las cosas en el caso de la Ley de Infogobierno sería prudente que las comisiones que allí se crean sean nombradas a la brevedad del caso a fin de evitar entre otras cosas interpretaciones erradas sobre la Ley, permitiendo con esta designación que el uso que se le de sea el adecuado, permitiendo entonces que una norma que a todas luces se plantea como objeto mejorar las relaciones Estado-Ciudadano a fin desarrollar los servicios públicos y aumentar la credibilidad-transparencia del gobierno.
+ Por otro lado el asunto de las políticas públicas que se tomen alrededor de las normas constituyen un elemento trascendental, ya que a pesar que en la mayor parte de los casos las leyes en materia de TI tienen mas de una década de promulgadas, pareciera que hay un desconocimiento técnico de la regulación debido a la posible falta de formación por parte de los actores del aparato de justicia, dígase Jueces, Defensores Públicos, Fiscales y Abogados, junto a esto se encuentra que las normas parecieran no hacer el énfasis adecuado en el peritaje forense que es un elemento estratégico para la interpretación y aplicación adecuada de las leyes en este ámbito.
+\begin{comment}
+No sé qué es lo que se quería decir, pero estoy seguro que no es nada parecido a "políticas públicas y/o criminales"
+\end{comment}
+
+ Volviendo al Tema de las políticas de Estado para mejorar las relaciones ciudadanos-información-medios tecnológicos es prudente encontrar formas que permitan tener un mayor y mejor control de la información almacenada
+\begin{comment}
+ ¿"información automatizada"?
+\end{comment}
+en las distintas bases de datos, sería interesante entonces retomar la idea de la Cédula Electrónica, que entre alguna de sus ventajas tendrá el que: la clave de garantía estará en la base de datos, podría afiliar la firma electrónica, toda la información del ciudadano se encontrará en un solo documento, permitirá saber con exactitud quién eres
+\begin{comment}
+ Ya sé que no estamos en la parte filosófica del libro, pero cabe mencionar que realmente ese conocimiento exacto se limita a sólo una de las concepciones de la identidad, quizás la más limitada e instrumental de ellas.
+
+Así que realmente el documento no puede aspirar permitir el saber exactamente quíen es una persona, cosa que muy probablemente ni siquiera ella misma lo sepa.
+\end{comment}
+ y evitará falsificación, pues los datos pueden ser cruzados y verificados de inmediato, evitará tramites administrativos y papeleos innecesarios; por otro lado el Estado Venezolano cuenta con la infraestructura tecnológica necesaria para la puesta en marcha de la misma, para lo cual el Ministerio del Poder Popular para Educación Universitaria, Ciencia y Tecnología puede junto con el Ministerio del Poder Popular para Relaciones Interiores, Justicia y Paz hacer alianzas que garanticen una cédula de calidad, segura y eficaz que de garantía a los actos jurídicos emanados de éstas y que pueda ser tomada como fundamento internacional para otras iniciativas.
 
 