Index: .gitignore
===================================================================
--- .gitignore	(revision bee5e851d4f8fbcfeeafbfe5e643900a8a75d6fa)
+++ .gitignore	(revision bee5e851d4f8fbcfeeafbfe5e643900a8a75d6fa)
@@ -2,2 +2,12 @@
 *.aux
 *.log
+
+maquetacion/compilacion.lof
+maquetacion/compilacion.lot
+maquetacion/compilacion.toc
+maquetacion/compilacion.idx
+
+recopilacionInicial/recopilacion.toc
+recopilacionInicial/recopilacion.lot
+recopilacionInicial/recopilacion.lof
+recopilacionInicial/recopilacion.idx
Index: maquetacion/capitulo1/dispositivosDeUsuario.tex
===================================================================
--- maquetacion/capitulo1/dispositivosDeUsuario.tex	(revision 147fb251e4a5af1edbab71c80f810926e6db006c)
+++ maquetacion/capitulo1/dispositivosDeUsuario.tex	(revision 50e536542cc27170586ef30ba9e5552168053488)
@@ -332,7 +332,7 @@
 
 Este tipo de dispositivos representan una variación del mecanismo de autenticación 
-con usuario y contraseña ya que la contraseña utilizada sólo es válida para una sola sesión.
+con usuario y contraseña ya que la contraseña utilizada es válida para una sola sesión.
 Los dispositivos de autenticación con contraseñas de un solo uso (OTP por sus siglas en inglés), 
-generan un código único y aleatorio para tener acceso.
+generan un código único y aleatorio para tener acceso a recursos o a sistemas.
 
 
@@ -399,36 +399,51 @@
 \item Autenticación de dos factores
 
-Two steps authentication
-
-Autenticación a través de patrones: 
-
-
-
-
-FIDO Alliance lanzada en Febrero de 2013
-https://fidoalliance.org/
-
-La autenticación de dos factores puede ser utilizada en entornos como:
-
-\begin{itemize}
-\item Integración de sistemas
-
-\item Acceso remoto y redes privadas virtuales (VPN por sus siglas en inglés)
-
-\item Administración de contraseñas
-
-\item Cifrado de discos
-
-\item Protección de servidores
-
-\end{itemize}
-
-
-Empresas que proveen servicios en línea utilizan alguna o varias formas de autenticación 
-de dos factores para que sus usuarios tengan acceso a sus recursos y se minimice la suplantación
-de identidad. Entre los mecanismos utilizados están el Servicio de Mensajes Cortos 
+%Two steps authentication
+%Autenticación a través de patrones: 
+
+
+En la actualidad existen organizaciones y empresas que proveen servicios en línea como correo electrónico, redes sociales,
+mensajería instantánea y hasta banca electrónica que utilizan alguna o varias formas de autenticación 
+de dos factores. La idea es que sus usuarios tengan acceso a sus recursos y se minimice la suplantación
+de identidad. 
+
+Aunque no es exactamente un dispositivo físico, la autenticación de dos factores utiliza
+distintos mecanismos para validar la identidad de un individuo al solicitarle alguna 
+prueba adicional. Entre los mecanismos utilizados están el Servicio de Mensajes Cortos 
 (SMS por sus siglas en inglés), una llamada telefónica, un correo electrónico, 
 un token o dispositivo de hardware o una implementación de software\footnote{http://twofactorauth.org/}.
-
+Cuando un individuo desea autenticarse en un sistema informático presenta un identificador y 
+contraseña como primer factor de autenticación. Luego el sistema envía un código, a 
+través de uno de los mecanismos mencionados, que el usuario debe introducir 
+como segundo factor de la autenticación. Si el código introducido es el correcto,
+el sistema permite el acceso al usuario a sus recursos. 
+
+La autenticación de dos factores puede ser utilizada en entornos como:
+
+\begin{itemize}
+\item Integración de sistemas.
+
+\item Acceso remoto y redes privadas virtuales (VPN por sus siglas en inglés).
+
+\item Administración de contraseñas.
+
+\item Cifrado de discos.
+
+\item Protección de servidores.
+
+\end{itemize}
+
+
+
+
+%Entre los mecanismos de autenticación de dos factores se incluyen a los dispositivos mencionadas en secciones
+%anteriores como tarjetas inteligentes, tokens criptográficos y chip SIM.
+
+
+Desde Febrero de 2013 la Alianza de Identidad Rápida en Línea (FIDO Alliance\footnote{https://fidoalliance.org/} 
+por sus siglas en inglés) agrupa a un conjunto de organizaciones y empresas que tienen como 
+objetivo establecer estándares de interoperabilidad entre dispositivos de autenticación 
+así como enfrentar el problema de crear y recordar múltiples nombres de usuarios y contraseñas
+para sistemas informáticos. 
 
 
@@ -449,7 +464,9 @@
 \item Palma de la mano
 
-\item Iris
-
-\item ...
+\item Patrón de líneas del Iris
+
+\item Voz
+
+\item 
 
 \end{itemize}
@@ -457,4 +474,11 @@
 El campo de la identificación por técnicas biométricas aún está abierto. 
 
+A medida que se incorporan nuevo niveles de seguridad como la biometría en conjunto con 
+dispositivos criptográficos, como tarjetas inteligentes o token, el sistema 
+en el que los individuos desean autenticarse se hace más difícil de usar. Es por
+esta razón que los lectores biométricos se utilizan en aplicaciones y entornos
+con características particulares.
+
+Las credenciales biométricas no son revocables.
 
 
@@ -478,5 +502,6 @@
 De acuerdo a los indicadores del 
 servicio de telefonía móvil a nivel nacional generados por la Comisión Nacional 
-de Telecomunicaciones, CONATEL, correspondientes al cuarto trimestre del 2013
+de Telecomunicaciones de la República Bolivariana de Venezuela, CONATEL, 
+correspondientes al cuarto trimestre del 2013,
 el porcentaje de penetración de usuarios activos es de 102,59\%. Se estiman
 103 líneas en uso del sistema de telefonía móvil por cada 100 habitantes.
Index: quetacion/compilacion.idx
===================================================================
--- maquetacion/compilacion.idx	(revision 7e73d7c4661712dcdfb8e401ed3f9b9c6e6f9fe2)
+++ 	(revision )
@@ -1,2 +1,0 @@
-\indexentry{t\IeC {\'e}rmino1}{xxxi}
-\indexentry{t\IeC {\'e}rmino2}{xxxi}
Index: quetacion/compilacion.lof
===================================================================
--- maquetacion/compilacion.lof	(revision 7e73d7c4661712dcdfb8e401ed3f9b9c6e6f9fe2)
+++ 	(revision )
@@ -1,39 +1,0 @@
-\contentsline {figure}{\numberline {1.1\relax }{\ignorespaces Tarjeta de d\IeC {\'e}bito magn\IeC {\'e}tica.}}{7}
-\contentsline {figure}{\numberline {1.2\relax }{\ignorespaces Tarjeta magn\IeC {\'e}tica de telefon\IeC {\'\i }a p\IeC {\'u}blica.}}{7}
-\contentsline {figure}{\numberline {1.3\relax }{\ignorespaces Tarjeta de chip de telefon\IeC {\'\i }a p\IeC {\'u}blica.}}{8}
-\contentsline {figure}{\numberline {1.4\relax }{\ignorespaces Tarjetas con microprocesador.}}{9}
-\contentsline {figure}{\numberline {1.5\relax }{\ignorespaces Tarjeta sin contacto.}}{10}
-\contentsline {figure}{\numberline {1.6\relax }{\ignorespaces Lectores de tarjetas inteligentes de contacto.}}{11}
-\contentsline {figure}{\numberline {1.7\relax }{\ignorespaces Lectores de tarjetas inteligentes sin contacto.}}{11}
-\contentsline {figure}{\numberline {1.8\relax }{\ignorespaces Lector de tarjetas inteligentes de interfaz dual.}}{12}
-\contentsline {figure}{\numberline {1.9\relax }{\ignorespaces Tokens criptogr\IeC {\'a}ficos.}}{12}
-\contentsline {figure}{\numberline {1.10\relax }{\ignorespaces Tokens criptogr\IeC {\'a}ficos en formato MicroSD y SD.}}{13}
-\contentsline {figure}{\numberline {1.11\relax }{\ignorespaces Dispositivos de contrase\IeC {\~n}a de un solo uso.}}{13}
-\contentsline {figure}{\numberline {1.12\relax }{\ignorespaces Tarjeta SIM de telefon\IeC {\'\i }a celular.}}{14}
-\contentsline {figure}{\numberline {1.13\relax }{\ignorespaces Tarjeta electr\IeC {\'o}nica de alimentaci\IeC {\'o}n.}}{17}
-\contentsline {figure}{\numberline {1.14\relax }{\ignorespaces Tarjeta inteligente para certificado electr\IeC {\'o}nico.}}{18}
-\contentsline {figure}{\numberline {1.15\relax }{\ignorespaces Token USB para certificado electr\IeC {\'o}nico.}}{18}
-\contentsline {figure}{\numberline {1.16\relax }{\ignorespaces Tarjeta inteligente de pasaje estudiantil.}}{18}
-\contentsline {figure}{\numberline {1.17\relax }{\ignorespaces Tarjeta de control de acceso f\IeC {\'\i }sico.}}{19}
-\contentsline {figure}{\numberline {1.18\relax }{\ignorespaces Muestra de pasaporte electr\IeC {\'o}nico.}}{19}
-\contentsline {figure}{\numberline {1.19\relax }{\ignorespaces S\IeC {\'\i }mbolo de pasaporte electr\IeC {\'o}nico seg\IeC {\'u}n ICAO.}}{20}
-\contentsline {figure}{\numberline {2.1\relax }{\ignorespaces \em Enfoque tradicional de Seguridad. }}{25}
-\contentsline {figure}{\numberline {2.2\relax }{\ignorespaces \em Enfoque de defensa en profundidad. }}{26}
-\contentsline {figure}{\numberline {2.3\relax }{\ignorespaces \em Proceso de percepci\IeC {\'o}n de la Seguridad. }}{28}
-\contentsline {figure}{\numberline {2.4\relax }{\ignorespaces \em Corta fuego por Hardware. }}{38}
-\contentsline {figure}{\numberline {2.5\relax }{\ignorespaces \em Cortafuego por Software. }}{39}
-\contentsline {figure}{\numberline {2.6\relax }{\ignorespaces \em Cortafuego personal. }}{40}
-\contentsline {figure}{\numberline {2.7\relax }{\ignorespaces \em Cortafuego personal combinado. }}{41}
-\contentsline {figure}{\numberline {2.8\relax }{\ignorespaces \em Estructura funcional b\IeC {\'a}sica del IDS. }}{42}
-\contentsline {figure}{\numberline {2.9\relax }{\ignorespaces \em Interrupci\IeC {\'o}n de los servicios. }}{52}
-\contentsline {figure}{\numberline {5.1\relax }{\ignorespaces Especificaci'on del estandar X.509}}{68}
-\contentsline {figure}{\numberline {5.2\relax }{\ignorespaces Modelo jer'arquico de una ICP}}{71}
-\contentsline {figure}{\numberline {5.3\relax }{\ignorespaces Caso de uso principal}}{73}
-\contentsline {figure}{\numberline {5.4\relax }{\ignorespaces Caso de uso para el actor Administrador Autoridad de Certificaci'on}}{74}
-\contentsline {figure}{\numberline {5.5\relax }{\ignorespaces Diagrama de clases}}{74}
-\contentsline {figure}{\numberline {5.6\relax }{\ignorespaces Diagrama de actividades}}{75}
-\contentsline {figure}{\numberline {5.7\relax }{\ignorespaces Sistema de registro de acciones}}{76}
-\contentsline {figure}{\numberline {5.8\relax }{\ignorespaces Configuraci'on de los componentes del nodo ra'iz de una ICP}}{78}
-\contentsline {figure}{\numberline {6.1\relax }{\ignorespaces Diagrama UML de acoplamiento}}{87}
-\contentsline {figure}{\numberline {6.2\relax }{\ignorespaces Diagrama de flujo para el acoplamiento del ComponenteFEA}}{88}
-\contentsline {figure}{\numberline {6.3\relax }{\ignorespaces Interfaz de usuario OpenERP para el ComponenteFEA}}{91}
Index: quetacion/compilacion.lot
===================================================================
--- maquetacion/compilacion.lot	(revision 7e73d7c4661712dcdfb8e401ed3f9b9c6e6f9fe2)
+++ 	(revision )
@@ -1,2 +1,0 @@
-\contentsline {table}{\numberline {1.1\relax }{\ignorespaces Indicadores del Servicio de Telefon\IeC {\'\i }a M\IeC {\'o}vil a nivel Nacional para el 2013.}}{15}
-\contentsline {table}{\numberline {1.2\relax }{\ignorespaces Proporci\IeC {\'o}n de suscriptores por tipo de tecnolog\IeC {\'\i }a m\IeC {\'o}vil.}}{16}
Index: quetacion/compilacion.toc
===================================================================
--- maquetacion/compilacion.toc	(revision 7e73d7c4661712dcdfb8e401ed3f9b9c6e6f9fe2)
+++ 	(revision )
@@ -1,136 +1,0 @@
-\contentsline {schapter}{Lista de Figuras}{xv}
-\contentsline {schapter}{Lista de Tablas}{xvii}
-\contentsline {schapter}{Pr\IeC {\'o}logo}{xix}
-\contentsline {schapter}{Prefacio}{xxi}
-\contentsline {schapter}{Agradecimientos}{xxiii}
-\contentsline {schapter}{Acr\IeC {\'o}nimos}{xxv}
-\contentsline {schapter}{Glosario}{xxvii}
-\contentsline {schapter}{Lista de S\IeC {\'\i }mbolos}{xxix}
-\contentsline {schapter}{Introducci\IeC {\'o}n}{xxxi}
-\contentsline {ichapter}{Linus Torvalds, Ing.}{xxxi}
-\contentsline {schapter}{Referencias}{xxxi}
-\contentsline {part}{I\hspace {1em}Seguridad en las TIC y la Identidad Digital. }{1}
-\contentsline {chapter}{\numberline {1}Bases de la identidad digital}{3}
-\nobreak \vskip \authorskip \noindent \vrule height 9pt width0pt\hskip \chapskip A. Araujo, V. Bravo y R. Sumoza \hfill \vskip \chapheight 
-\contentsline {section}{\numberline {1.1}Conceptos b\IeC {\'a}sicos}{3}
-\contentsline {section}{\numberline {1.2}Implicaciones}{3}
-\contentsline {section}{\numberline {1.3}Identificaci\IeC {\'o}n, autenticaci\IeC {\'o}n}{3}
-\contentsline {subsection}{\numberline {1.3.1}T\IeC {\'e}cnicas de identificaci\IeC {\'o}n y autenticaci\IeC {\'o}n}{4}
-\contentsline {subsubsection}{\numberline {1.3.1.1}Contrase\IeC {\~n}as}{4}
-\contentsline {subsubsection}{\numberline {1.3.1.2}Certificados electr\IeC {\'o}nicos}{5}
-\contentsline {subsubsection}{\numberline {1.3.1.3}Firmas electr\IeC {\'o}nicas}{6}
-\contentsline {subsubsection}{\numberline {1.3.1.4}Dispositivos de usuario}{6}
-\contentsline {chapter}{\numberline {2}Pol\'iticas de Seguridad}{21}
-\nobreak \vskip \authorskip \noindent \vrule height 9pt width0pt\hskip \chapskip A. Araujo y V. Bravo \hfill \vskip \chapheight 
-\contentsline {section}{\numberline {2.1}Pol\IeC {\'\i }ticas de seguridad de la informaci\IeC {\'o}n. Importancia.}{21}
-\contentsline {section}{\numberline {2.2}Puestos de trabajo, centros de datos, seguridad l\IeC {\'o}gica y f\IeC {\'\i }sica}{21}
-\contentsline {section}{\numberline {2.3}Pol\IeC {\'\i }ticas de Seguridad de las Tecnolog\IeC {\'\i }as de Informaci\IeC {\'o}n y Comunicaci\IeC {\'o}n}{21}
-\contentsline {section}{\numberline {2.4}Importancia de la Seguridad de la Informaci\IeC {\'o}n}{23}
-\contentsline {section}{\numberline {2.5}Seguridad de la Informaci\IeC {\'o}n para Tecnolog\IeC {\'\i }as Libres}{24}
-\contentsline {section}{\numberline {2.6}Principio de Defensa en profundidad}{24}
-\contentsline {subsection}{\numberline {2.6.1}Los principios generales de la defensa en profundidad}{26}
-\contentsline {section}{\numberline {2.7}Responsabilidad}{27}
-\contentsline {section}{\numberline {2.8}Procesos para aumentar la adopci\IeC {\'o}n de seguridad de la informaci\IeC {\'o}n}{27}
-\contentsline {subsection}{\numberline {2.8.1}Identificaci\IeC {\'o}n de los riesgos}{28}
-\contentsline {subsection}{\numberline {2.8.2}Evaluaci\IeC {\'o}n de los riesgos de seguridad}{29}
-\contentsline {subsection}{\numberline {2.8.3}Selecci\IeC {\'o}n de los controles}{31}
-\contentsline {subsection}{\numberline {2.8.4}Implementar los controles seleccionados}{32}
-\contentsline {subsection}{\numberline {2.8.5}Monitorear y mejorar los controles de seguridad}{32}
-\contentsline {section}{\numberline {2.9}Grupo de seguridad de la informaci\IeC {\'o}n}{33}
-\contentsline {section}{\numberline {2.10}Gesti\IeC {\'o}n de Contrase\IeC {\~n}as}{34}
-\contentsline {subsection}{\numberline {2.10.1}Claves con menos de ocho d\IeC {\'\i }gitos}{35}
-\contentsline {section}{\numberline {2.11}\IeC {\textquestiondown }Qu\IeC {\'e} se entiende por puesto de trabajo?}{36}
-\contentsline {section}{\numberline {2.12}Centro de datos}{36}
-\contentsline {section}{\numberline {2.13}\IeC {\textquestiondown }Que es seguridad l\IeC {\'o}gica?}{36}
-\contentsline {section}{\numberline {2.14}\IeC {\textquestiondown }Qu\IeC {\'e} es seguridad f\IeC {\'\i }sica?}{36}
-\contentsline {section}{\numberline {2.15}Cuenta de usuario}{36}
-\contentsline {subsection}{\numberline {2.15.1}Cuenta de usuario cr\IeC {\'\i }tica}{36}
-\contentsline {section}{\numberline {2.16}Vulnerabilidades de los sistemas de informaci\IeC {\'o}n}{37}
-\contentsline {subsection}{\numberline {2.16.1}Causas de las vulnerabilidades de los sistemas inform\IeC {\'a}ticos}{37}
-\contentsline {section}{\numberline {2.17}Herramientas para la seguridad de la informaci\IeC {\'o}n}{37}
-\contentsline {subsection}{\numberline {2.17.1}Cortafuego}{37}
-\contentsline {subsection}{\numberline {2.17.2}\IeC {\textquestiondown }Para qu\IeC {\'e} sirve el cortafuego?}{39}
-\contentsline {subsection}{\numberline {2.17.3}Consideraciones para la instalaci\IeC {\'o}n y configuraci\IeC {\'o}n de cortafuegos}{40}
-\contentsline {subsection}{\numberline {2.17.4}Sistemas de detecci\IeC {\'o}n de intrusiones (IDS)}{41}
-\contentsline {section}{\numberline {2.18}Identificaci\IeC {\'o}n de los riesgos a terceros}{43}
-\contentsline {section}{\numberline {2.19}Seguridad l\IeC {\'o}gica en los puestos de trabajo}{43}
-\contentsline {section}{\numberline {2.20}Seguridad l\IeC {\'o}gica en el centro de datos}{44}
-\contentsline {section}{\numberline {2.21}Seguridad f\IeC {\'\i }sica en los puestos de trabajo}{45}
-\contentsline {section}{\numberline {2.22}Seguridad f\IeC {\'\i }sica en el centro de dato}{46}
-\contentsline {subsection}{\numberline {2.22.1}Servicios que presta o prestar\IeC {\'a} el centro de datos: }{46}
-\contentsline {subsection}{\numberline {2.22.2}Ubicaci\IeC {\'o}n y condici\IeC {\'o}n f\IeC {\'\i }sica del centro de datos}{47}
-\contentsline {subsection}{\numberline {2.22.3}Especificaciones t\IeC {\'e}cnicas del centro de datos}{47}
-\contentsline {subsection}{\numberline {2.22.4}Control de acceso f\IeC {\'\i }sico al centro de datos}{49}
-\contentsline {subsection}{\numberline {2.22.5}Aire acondicionado}{49}
-\contentsline {subsection}{\numberline {2.22.6}Protecci\IeC {\'o}n, detecci\IeC {\'o}n y extinci\IeC {\'o}n de incendios}{50}
-\contentsline {section}{\numberline {2.23}Especificaci\IeC {\'o}n de las Pol\IeC {\'\i }ticas de seguridad de la informaci\IeC {\'o}n en el centro de datos}{50}
-\contentsline {section}{\numberline {2.24}Pol\IeC {\'\i }ticas de Respaldo y recuperaci\IeC {\'o}n}{52}
-\contentsline {subsection}{\numberline {2.24.1}Normas para las pol\IeC {\'\i }ticas de respaldo y recuperaci\IeC {\'o}n}{52}
-\contentsline {section}{\numberline {2.25}Gesti\IeC {\'o}n de Incidentes de seguridad}{53}
-\contentsline {subsection}{\numberline {2.25.1}Antes del incidente de seguridad:}{53}
-\contentsline {subsection}{\numberline {2.25.2}Durante el incidente de seguridad:}{54}
-\contentsline {subsection}{\numberline {2.25.3}Despu\IeC {\'e}s del incidente de seguridad:}{55}
-\contentsline {section}{\numberline {2.26}Plan de Recuperaci\IeC {\'o}n antes Desastres}{55}
-\contentsline {section}{\numberline {2.27}Seguridad en redes}{56}
-\contentsline {chapter}{\numberline {3}Privacidad}{57}
-\nobreak \vskip \authorskip \noindent \vrule height 9pt width0pt\hskip \chapskip R. Sumoza \hfill \vskip \chapheight 
-\contentsline {section}{\numberline {3.1}Definici\IeC {\'o}n y pol\IeC {\'\i }ticas de privacidad}{57}
-\contentsline {section}{\numberline {3.2}T\IeC {\'e}cnicas para proporcionar privacidad}{57}
-\contentsline {subsection}{\numberline {3.2.1}Anonimato}{57}
-\contentsline {subsubsection}{\numberline {3.2.1.1}Redes de mezcla}{57}
-\contentsline {subsubsection}{\numberline {3.2.1.2}Enrutamiento cebolla}{58}
-\contentsline {chapter}{\numberline {4}Fundamentos Jur\'idicos}{59}
-\nobreak \vskip \authorskip \noindent \vrule height 9pt width0pt\hskip \chapskip E. Mora \hfill \vskip \chapheight 
-\contentsline {section}{\numberline {4.1}El ordenamiento jur\IeC {\'\i }dico venezolano y las nuevas tecnolog\IeC {\'\i }as de la informaci\IeC {\'o}n}{59}
-\contentsline {subsection}{\numberline {4.1.1}Ley de Mensajes de Datos y Firmas Electr\IeC {\'o}nicas, Ley de Infogobierno, Ley de Interoperabilidad y Ley Especial Contra los Delitos Inform\IeC {\'a}ticos}{59}
-\contentsline {section}{\numberline {4.2}La insuficiencia de las regulaciones jur\IeC {\'\i }dicas existentes}{59}
-\contentsline {part}{II\hspace {1em}Aportes de CENDITEL en la Seguridad vinculada a la Identidad Digital en las TIC}{61}
-\contentsline {chapter}{\numberline {5}Certificaci\'on Electr\'onica}{63}
-\nobreak \vskip \authorskip \noindent \vrule height 9pt width0pt\hskip \chapskip V. Bravo y A. Araujo \hfill \vskip \chapheight 
-\contentsline {section}{\numberline {5.1}Introducci\'on}{64}
-\contentsline {section}{\numberline {5.2}Marco Te'orico}{65}
-\contentsline {subsection}{\numberline {5.2.1}Seguridad Inform\'atica}{65}
-\contentsline {subsection}{\numberline {5.2.2}Criptograf\'ia}{66}
-\contentsline {subsection}{\numberline {5.2.3}Certificados digitales}{67}
-\contentsline {subsection}{\numberline {5.2.4}Est\'andar X.509}{67}
-\contentsline {subsection}{\numberline {5.2.5}Lenguaje Unificado de Modelado}{69}
-\contentsline {subsection}{\numberline {5.2.6}Software Libre}{70}
-\contentsline {section}{\numberline {5.3}Infraestructura de Clave P\'ublica}{70}
-\contentsline {subsection}{\numberline {5.3.1}Componentes de la Infraestructura de Claves P\'ublica (ICP)}{70}
-\contentsline {section}{\numberline {5.4}Desarrollo de la aplicaci\'on}{71}
-\contentsline {subsection}{\numberline {5.4.1}Conceptualizaci\'on}{71}
-\contentsline {subsection}{\numberline {5.4.2}Dise\~no}{72}
-\contentsline {subsection}{\numberline {5.4.3}Implementaci\'on}{74}
-\contentsline {subsection}{\numberline {5.4.4}Pruebas}{76}
-\contentsline {subsection}{\numberline {5.4.5}Despliegue y configuraci\'on}{77}
-\contentsline {section}{\numberline {5.5}Conclusiones}{78}
-\contentsline {section}{\numberline {5.6}Glosario}{79}
-\contentsline {chapter}{\numberline {6}Firmas Electr\'onicas}{81}
-\nobreak \vskip \authorskip \noindent \vrule height 9pt width0pt\hskip \chapskip V. Bravo y A. Araujo \hfill \vskip \chapheight 
-\contentsline {section}{\numberline {6.1}Introducci\IeC {\'o}n}{82}
-\contentsline {section}{\numberline {6.2}El modelo actual de Firma Electr\IeC {\'o}nica}{82}
-\contentsline {section}{\numberline {6.3}Antecedentes}{84}
-\contentsline {section}{\numberline {6.4}Acoplamiento de la Firma Electr\IeC {\'o}nica Avanzada}{85}
-\contentsline {subsection}{\numberline {6.4.1}Componente de Firma Electr\IeC {\'o}nica Avanzada}{85}
-\contentsline {subsection}{\numberline {6.4.2}M\IeC {\'e}todo de conex\IeC {\'\i }\IeC {\'o}n}{87}
-\contentsline {section}{\numberline {6.5}Casos de estudio}{89}
-\contentsline {subsection}{\numberline {6.5.1}Caso OpenERP }{89}
-\contentsline {subsection}{\numberline {6.5.2}Caso SAID}{90}
-\contentsline {subsection}{\numberline {6.5.3}Caso Flujos de Trabajo}{92}
-\contentsline {section}{\numberline {6.6}Conclusiones}{93}
-\contentsline {schapter}{Referencias}{95}
-\contentsline {chapter}{\numberline {7}Anonimato}{97}
-\nobreak \vskip \authorskip \noindent \vrule height 9pt width0pt\hskip \chapskip R. Sumoza \hfill \vskip \chapheight 
-\contentsline {section}{\numberline {7.1}Modelo de protocolo para un sistema an\IeC {\'o}nimo basado en estrategias bio-inspiradas}{97}
-\contentsline {subsection}{\numberline {7.1.1}Introduction}{98}
-\contentsline {subsection}{\numberline {7.1.2}Artificial Systems Ant Colony in Anonymity}{98}
-\contentsline {subsection}{\numberline {7.1.3}Conclusion}{100}
-\contentsline {schapter}{Referencias}{101}
-\contentsline {section}{\numberline {7.2}Sistema de medici\IeC {\'o}n alternativo}{102}
-\contentsline {subsection}{\numberline {7.2.1}Introduction}{102}
-\contentsline {subsection}{\numberline {7.2.2}Related work}{103}
-\contentsline {subsection}{\numberline {7.2.3}Proposal}{103}
-\contentsline {subsubsection}{\numberline {7.2.3.1}Root Squared Mean Error - RSME}{104}
-\contentsline {subsubsection}{\numberline {7.2.3.2}Jennesen-Shannon divergence}{104}
-\contentsline {subsubsection}{\numberline {7.2.3.3}Results}{104}
-\contentsline {schapter}{Referencias}{107}