Index: maquetacion/compilacion.lof
===================================================================
--- maquetacion/compilacion.lof	(revision c5140805dbb4d292b4ba80b879b6e6db5102d3c7)
+++ maquetacion/compilacion.lof	(revision 82864d55d449a197893fe70ca3d806071f663995)
@@ -1,39 +1,0 @@
-\contentsline {figure}{\numberline {1.1\relax }{\ignorespaces Tarjeta de d\IeC {\'e}bito magn\IeC {\'e}tica.}}{6}
-\contentsline {figure}{\numberline {1.2\relax }{\ignorespaces Tarjeta magn\IeC {\'e}tica de telefon\IeC {\'\i }a p\IeC {\'u}blica.}}{7}
-\contentsline {figure}{\numberline {1.3\relax }{\ignorespaces Tarjeta de chip de telefon\IeC {\'\i }a p\IeC {\'u}blica.}}{7}
-\contentsline {figure}{\numberline {1.4\relax }{\ignorespaces Tarjetas con microprocesador.}}{8}
-\contentsline {figure}{\numberline {1.5\relax }{\ignorespaces Tarjeta sin contacto.}}{9}
-\contentsline {figure}{\numberline {1.6\relax }{\ignorespaces Lectores de tarjetas inteligentes de contacto.}}{11}
-\contentsline {figure}{\numberline {1.7\relax }{\ignorespaces Lectores de tarjetas inteligentes sin contacto.}}{11}
-\contentsline {figure}{\numberline {1.8\relax }{\ignorespaces Lector de tarjetas inteligentes de interfaz dual.}}{12}
-\contentsline {figure}{\numberline {1.9\relax }{\ignorespaces Tokens criptogr\IeC {\'a}ficos.}}{12}
-\contentsline {figure}{\numberline {1.10\relax }{\ignorespaces Tokens criptogr\IeC {\'a}ficos en formato MicroSD y SD.}}{12}
-\contentsline {figure}{\numberline {1.11\relax }{\ignorespaces Dispositivos de contrase\IeC {\~n}a de un solo uso.}}{13}
-\contentsline {figure}{\numberline {1.12\relax }{\ignorespaces Tarjeta SIM de telefon\IeC {\'\i }a celular.}}{14}
-\contentsline {figure}{\numberline {1.13\relax }{\ignorespaces Tarjeta electr\IeC {\'o}nica de alimentaci\IeC {\'o}n.}}{16}
-\contentsline {figure}{\numberline {1.14\relax }{\ignorespaces Tarjeta inteligente para certificado electr\IeC {\'o}nico.}}{17}
-\contentsline {figure}{\numberline {1.15\relax }{\ignorespaces Token USB para certificado electr\IeC {\'o}nico.}}{17}
-\contentsline {figure}{\numberline {1.16\relax }{\ignorespaces Tarjeta inteligente de pasaje estudiantil.}}{18}
-\contentsline {figure}{\numberline {1.17\relax }{\ignorespaces Tarjeta de control de acceso f\IeC {\'\i }sico.}}{18}
-\contentsline {figure}{\numberline {1.18\relax }{\ignorespaces Muestra de pasaporte electr\IeC {\'o}nico.}}{19}
-\contentsline {figure}{\numberline {1.19\relax }{\ignorespaces S\IeC {\'\i }mbolo de pasaporte electr\IeC {\'o}nico seg\IeC {\'u}n ICAO.}}{20}
-\contentsline {figure}{\numberline {2.1\relax }{\ignorespaces \em Enfoque tradicional de Seguridad. }}{25}
-\contentsline {figure}{\numberline {2.2\relax }{\ignorespaces \em Enfoque de defensa en profundidad. }}{26}
-\contentsline {figure}{\numberline {2.3\relax }{\ignorespaces \em Proceso de percepci\IeC {\'o}n de la Seguridad. }}{28}
-\contentsline {figure}{\numberline {2.4\relax }{\ignorespaces \em Corta fuego por Hardware. }}{38}
-\contentsline {figure}{\numberline {2.5\relax }{\ignorespaces \em Cortafuego por Software. }}{39}
-\contentsline {figure}{\numberline {2.6\relax }{\ignorespaces \em Cortafuego personal. }}{40}
-\contentsline {figure}{\numberline {2.7\relax }{\ignorespaces \em Cortafuego personal combinado. }}{41}
-\contentsline {figure}{\numberline {2.8\relax }{\ignorespaces \em Estructura funcional b\IeC {\'a}sica del IDS. }}{42}
-\contentsline {figure}{\numberline {2.9\relax }{\ignorespaces \em Interrupci\IeC {\'o}n de los servicios. }}{52}
-\contentsline {figure}{\numberline {5.1\relax }{\ignorespaces Especificaci'on del estandar X.509}}{68}
-\contentsline {figure}{\numberline {5.2\relax }{\ignorespaces Modelo jer'arquico de una ICP}}{71}
-\contentsline {figure}{\numberline {5.3\relax }{\ignorespaces Caso de uso principal}}{73}
-\contentsline {figure}{\numberline {5.4\relax }{\ignorespaces Caso de uso para el actor Administrador Autoridad de Certificaci'on}}{74}
-\contentsline {figure}{\numberline {5.5\relax }{\ignorespaces Diagrama de clases}}{74}
-\contentsline {figure}{\numberline {5.6\relax }{\ignorespaces Diagrama de actividades}}{75}
-\contentsline {figure}{\numberline {5.7\relax }{\ignorespaces Sistema de registro de acciones}}{76}
-\contentsline {figure}{\numberline {5.8\relax }{\ignorespaces Configuraci'on de los componentes del nodo ra'iz de una ICP}}{78}
-\contentsline {figure}{\numberline {6.1\relax }{\ignorespaces Diagrama UML de acoplamiento}}{87}
-\contentsline {figure}{\numberline {6.2\relax }{\ignorespaces Diagrama de flujo para el acoplamiento del ComponenteFEA}}{88}
-\contentsline {figure}{\numberline {6.3\relax }{\ignorespaces Interfaz de usuario OpenERP para el ComponenteFEA}}{91}