Index: versionElectronica/fuentes_libros_electronico.sty
===================================================================
--- versionElectronica/fuentes_libros_electronico.sty	(revision 83997ab3d13fe5408d3cc55425cfc77aaddbd7ea)
+++ versionElectronica/fuentes_libros_electronico.sty	(revision 83997ab3d13fe5408d3cc55425cfc77aaddbd7ea)
@@ -0,0 +1,146 @@
+% w-bookps.sty 
+\def\pscurrentversion{Feb 16, 2012}
+
+  %****************************************************************%
+  %*                                                              *%
+  %*   Uso de fuentes PostScript                                  *%
+  %*                                                              *%
+  %*   Adaptado por Rodolfo Sumoza                                *%          
+  %*                                                              *%
+  %*   \documentclass{libros_cenditel}                            *%
+  %*                                                              *%
+  %*   \usepackage{w-bookps}                                      *%
+  %*                                                              *%
+  %****************************************************************%
+
+\typeout{^^J^^J
+Utilizando fuentes PostScript^^J^^J
+Estilo Fundación CENDITEL para libros^^J
+\pscurrentversion^^J^^J
+}
+
+%%  Se pueden cambiar las definiciones si es necesario ====>
+%%  Estos son los nombres de fuente Berry, los cuales se consiguen en la mayoría de los sistemas
+
+%% Times-Roman
+%------------------
+%% Nombres Berry:
+ \def\timesroman{ptmr}
+ \def\timesbold{ptmb}
+ \def\timesitalic{ptmri}
+ \def\timesbolditalic{ptmbi}
+
+%% Helvetica
+%------------------
+%% Nombres Berry:
+ \def\helvetica{phvr}
+ \def\helveticaoblique{phvro}
+ \def\helveticabold{phvb}
+ \def\helveticaboldoblique{phvbo}
+
+%% Courier
+%% Nombre Berry:
+\def\courier{pcrr}
+
+%% <==== Fin de cambios necesarios. Por favor no haga cambios en la siguiente parte.
+%% !!!!!!!!!
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+%% Uso de las definiciones por defecto, nce these fonts 
+%% dado que estas fuentes anteriores no serán utilizadas:
+
+\def\courieroblique{pcrro}
+\def\courierbold{pcrb}
+\def\courierboldoblique{pcrbo}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+
+\renewcommand{\sfdefault}{phv}
+\renewcommand{\rmdefault}{ptm}
+\renewcommand{\ttdefault}{pcr}
+
+%% Times-Roman
+\xdef\timesroman{\timesroman\space}
+\xdef\timesbold{\timesbold\space}
+\xdef\timesitalic{\timesitalic\space}
+\xdef\timesbolditalic{\timesbolditalic\space}
+
+%% Helvetica
+\xdef\helvetica{\helvetica\space}
+\xdef\helveticaoblique{\helveticaoblique\space}
+\xdef\helveticabold{\helveticabold\space}
+\xdef\helveticaboldoblique{\helveticaboldoblique\space}
+
+%% Courier
+\xdef\courier{\courier\space}
+\xdef\courieroblique{\courieroblique\space}
+\xdef\courierbold{\courierbold\space}
+\xdef\courierboldoblique{\courierboldoblique\space}
+
+%% Uso de fuentes especiales
+%%
+%% Tabla de Contenidos
+\font\tocarttitlefont=\helveticabold at 12pt
+\font\chaptocfont=\helveticabold at 10pt
+\font\tocfonts=\timesroman at 10pt
+
+%% Encabezados de paǵinas
+\font\runningheadfont=\helvetica at6.5pt
+\font\foliofont=\helveticabold at 9pt
+
+%% Título de libro, página de medio título
+
+\font\halftitlefont=\helveticabold at 20pt
+\font\titlefont=\helveticabold at 20pt
+\font\subtitlefont=\helveticabold at 20pt
+\font\editionfont=\helvetica at 14pt
+\font\authorfont=\helveticabold at 11pt
+\font\affilfont=\helvetica at 10pt
+\font\locfont=\timesbolditalic at 7pt
+
+\font\wileyfont=\helveticabold at 10pt
+\font\imprintfont=\helvetica at 10pt
+
+%% Título de Parte
+\font\partfont=\helvetica at 24pt
+\font\partnumberfont=\helveticabold at 14pt
+
+%% Título de Capítulo 
+\font\chapternumberfont=\helveticabold at 14pt
+\font\chaptertitlefont=\helvetica at 18pt
+\font\chapaffilfont=\timesroman at 9pt
+
+%% Encabezados de Sección
+\font\sectionfont=\helveticabold at 10pt
+\font\subsectionfont=\helveticabold at 10pt
+\font\subsubsectionfont=\helveticaboldoblique at 9pt
+\font\paragraphfont=\helveticaoblique at 9.5pt
+
+%% Títulos de figuras, tablas ... 
+\font\fignumfont=\timesbold at 9pt
+\font\tabnumfont=\timesbold at 9pt
+\font\figtextfont=\timesroman at 9pt
+\font\tabtextfont=\timesroman at 9pt
+
+%% Fuentes de Tabla
+\def\tablefontsize{\small}
+\def\tablefootnotesize{\footnotesize}
+
+%% Referencias/Bibliografía
+\def\bibfontsize{\small}
+
+%% Fuentes de Texto
+\font\bit=\timesbolditalic at 8pt
+
+
+%% Mayúscula de tamaño pequeño
+\font\bigscfont\timesroman at 9.5pt
+\font\smscfont\timesroman at 7.5pt
+\font\wherefont\timesitalic at 8pt
+
+%% Configuración de problemas
+\font\probfont\timesbolditalic at 10pt
+
+\@normalsize
+
+