Index: recopilacionInicial/recopilacion.tex
===================================================================
--- recopilacionInicial/recopilacion.tex	(revision a65a9f587ba8a64ebfcbbe3f043826c2f96cb87e)
+++ recopilacionInicial/recopilacion.tex	(revision 51613316ac7a6f0a6463dc7882d1b392692f5888)
@@ -1,5 +1,3 @@
-\begin{footnotesize}
-{\tiny •}
-\end{footnotesize}\documentclass[letterpaper,12pt]{book}
+\documentclass[letterpaper,12pt]{book}
 \usepackage[utf8x]{inputenc}
 
@@ -50,5 +48,5 @@
 \import{capitulo4/}{capitulo4} % Fundamentos Jurídicos
 
-\impor
+
 
 
Index: recopilacionInicial/recopilacion.toc
===================================================================
--- recopilacionInicial/recopilacion.toc	(revision a65a9f587ba8a64ebfcbbe3f043826c2f96cb87e)
+++ recopilacionInicial/recopilacion.toc	(revision 51613316ac7a6f0a6463dc7882d1b392692f5888)
@@ -55,66 +55,4 @@
 \contentsline {section}{\numberline {2.24}Pol\IeC {\'\i }ticas de Respaldo y recuperaci\IeC {\'o}n}{61}
 \contentsline {subsection}{\numberline {2.24.1}Normas para las pol\IeC {\'\i }ticas de respaldo y recuperaci\IeC {\'o}n}{62}
-<<<<<<< HEAD
-\contentsline {section}{\numberline {2.25}Gesti\IeC {\'o}n de Incidente de seguridad}{64}
-\contentsline {subsection}{\numberline {2.25.1}Antes del incidente de seguridad:}{64}
-\contentsline {subsection}{\numberline {2.25.2}Durante el incidente de seguridad:}{65}
-\contentsline {subsection}{\numberline {2.25.3}Despu\IeC {\'e}s del incidente de seguridad:}{66}
-\contentsline {section}{\numberline {2.26}Plan de Recuperaci\IeC {\'o}n antes Desastres}{66}
-\contentsline {section}{\numberline {2.27}Seguridad en redes}{68}
-\contentsline {chapter}{\numberline {3}Privacidad}{69}
-\contentsline {section}{\numberline {3.1}Definici\IeC {\'o}n y pol\IeC {\'\i }ticas de privacidad}{69}
-\contentsline {section}{\numberline {3.2}T\IeC {\'e}cnicas para proporcionar privacidad}{69}
-\contentsline {subsection}{\numberline {3.2.1}Anonimato}{69}
-\contentsline {subsubsection}{Redes de mezcla}{69}
-\contentsline {subsubsection}{Enrutamiento cebolla}{69}
-\contentsline {chapter}{\numberline {4}Fundamentos Jur\IeC {\'\i }dicos}{71}
-\contentsline {section}{\numberline {4.1}El ordenamiento jur\IeC {\'\i }dico venezolano y las nuevas tecnolog\IeC {\'\i }as de la informaci\IeC {\'o}n}{71}
-\contentsline {subsection}{\numberline {4.1.1}Ley de Mensajes de Datos y Firmas Electr\IeC {\'o}nicas, Ley de Infogobierno, Ley de Interoperabilidad y Ley Especial Contra los Delitos Inform\IeC {\'a}ticos}{71}
-\contentsline {section}{\numberline {4.2}La insuficiencia de las regulaciones jur\IeC {\'\i }dicas existentes}{71}
-\contentsline {part}{II\hspace {1em}Aportes de CENDITEL en la Seguridad vinculada a la Identidad Digital en las TIC}{73}
-\contentsline {chapter}{\numberline {5}Certificaci\IeC {\'o}n Electr\IeC {\'o}nica}{75}
-\contentsline {section}{\numberline {5.1}Introducci\'on}{76}
-\contentsline {section}{\numberline {5.2}Marco Te'orico}{77}
-\contentsline {subsection}{\numberline {5.2.1}Seguridad Inform\'atica}{77}
-\contentsline {subsection}{\numberline {5.2.2}Criptograf\'ia}{78}
-\contentsline {subsection}{\numberline {5.2.3}Certificados digitales}{79}
-\contentsline {subsection}{\numberline {5.2.4}Est\'andar X.509}{79}
-\contentsline {subsection}{\numberline {5.2.5}Lenguaje Unificado de Modelado}{81}
-\contentsline {subsection}{\numberline {5.2.6}Software Libre}{82}
-\contentsline {section}{\numberline {5.3}Infraestructura de Clave P\'ublica}{83}
-\contentsline {subsection}{\numberline {5.3.1}Componentes de la Infraestructura de Claves P\'ublica (ICP)}{83}
-\contentsline {section}{\numberline {5.4}Desarrollo de la aplicaci\'on}{84}
-\contentsline {subsection}{\numberline {5.4.1}Conceptualizaci\'on}{84}
-\contentsline {subsection}{\numberline {5.4.2}Dise\~no}{85}
-\contentsline {subsection}{\numberline {5.4.3}Implementaci\'on}{87}
-\contentsline {subsection}{\numberline {5.4.4}Pruebas}{90}
-\contentsline {subsection}{\numberline {5.4.5}Despliegue y configuraci\'on}{91}
-\contentsline {section}{\numberline {5.5}Conclusiones}{92}
-\contentsline {section}{\numberline {5.6}Glosario}{93}
-\contentsline {chapter}{\numberline {6}Firmas Electr\IeC {\'o}nicas}{95}
-\contentsline {section}{\numberline {6.1}Introducci\IeC {\'o}n}{95}
-\contentsline {section}{\numberline {6.2}El modelo actual de Firma Electr\IeC {\'o}nica}{96}
-\contentsline {section}{\numberline {6.3}Antecedentes}{98}
-\contentsline {section}{\numberline {6.4}Acoplamiento de la Firma Electr\IeC {\'o}nica Avanzada}{99}
-\contentsline {subsection}{\numberline {6.4.1}Componente de Firma Electr\IeC {\'o}nica Avanzada}{99}
-\contentsline {subsection}{\numberline {6.4.2}M\IeC {\'e}todo de conex\IeC {\'\i }\IeC {\'o}n}{101}
-\contentsline {section}{\numberline {6.5}Casos de estudio}{103}
-\contentsline {subsection}{\numberline {6.5.1}Caso OpenERP }{104}
-\contentsline {subsection}{\numberline {6.5.2}Caso SAID}{105}
-\contentsline {subsection}{\numberline {6.5.3}Caso Flujos de Trabajo}{107}
-\contentsline {section}{\numberline {6.6}Conclusiones}{108}
-\contentsline {chapter}{\numberline {7}Anonimato}{115}
-\contentsline {section}{\numberline {7.1}Modelo de protocolo para un sistema an\IeC {\'o}nimo basado en estrategias bio-inspiradas}{115}
-\contentsline {subsection}{\numberline {7.1.1}Introduction}{115}
-\contentsline {subsection}{\numberline {7.1.2}Artificial Systems Ant Colony in Anonymity}{116}
-\contentsline {subsection}{\numberline {7.1.3}Conclusion}{118}
-\contentsline {section}{\numberline {7.2}Sistema de medici\IeC {\'o}n alternativo}{120}
-\contentsline {subsection}{\numberline {7.2.1}Introduction}{120}
-\contentsline {subsection}{\numberline {7.2.2}Related work}{121}
-\contentsline {subsection}{\numberline {7.2.3}Proposal}{122}
-\contentsline {subsubsection}{Root Squared Mean Error - RSME}{122}
-\contentsline {subsubsection}{Jennesen-Shannon divergence}{122}
-\contentsline {subsubsection}{Results}{123}
-=======
 \contentsline {section}{\numberline {2.25}Gesti\IeC {\'o}n de Incidentes de seguridad}{63}
 \contentsline {subsection}{\numberline {2.25.1}Antes del incidente de seguridad:}{63}
@@ -177,3 +115,2 @@
 \contentsline {subsubsection}{Jennesen-Shannon divergence}{120}
 \contentsline {subsubsection}{Results}{121}
->>>>>>> 3bc38cb6660ceb362f9a5c7969dfc40b1e276e36