Index: recopilacionInicial/capitulo2/seguridadFisicaCentroDatos.tex
===================================================================
--- recopilacionInicial/capitulo2/seguridadFisicaCentroDatos.tex	(revision 92438b10f74b0bc7a7a1b9385b799b6073f589a7)
+++ recopilacionInicial/capitulo2/seguridadFisicaCentroDatos.tex	(revision 92438b10f74b0bc7a7a1b9385b799b6073f589a7)
@@ -0,0 +1,183 @@
+\section{Seguridad  física en el  centro de dato}
+
+Para establecer la seguridad física se debe tener en consideración varios aspectos (físico, lógico y ambiental) que permitirá una configuración apropiada y segura para el centro de dato. Esta área es delicada y por lo general se encuentra un alto porcentaje de los activos de la institución, en él concentra y procesa todos los recursos lógicos con que opera la institución. Para configurar un buen centro de datos debemos considerar:
+
+\subsection{Servicios que presta o prestara el centro de datos: }
+
+requerido para conocer las necesidades en infraestructura física (equipos computacionales, espacio físico, etc)
+
+\begin{itemize}
+\item Tipos de servicios a prestar tanto a los usuarios internos como externos.
+
+\item Cantidad de usuarios que requiere ingresar y permanecer en el centro de dato, como los usuarios que se beneficiara de los servicios prestados por el centro de dato
+
+\item Escala de crecimientos que se tiene al futuro (incluir nuevos servicios internos, externos que requiera la instalación de nuevos equipos computaciones en el centro de dato)
+
+\item Características y especificaciones técnica de los equipos
+\end{itemize}
+
+Con esta información se puede establecer las relaciones con la capacidad de procesamiento, cantidad de equipos computacional requerido, espacio físico y acondiciona del espacio (aire acondicionado, capacidad de la planta eléctrica, etc.)
+
+\subsection{Ubicación y condición física del centro de dato}
+
+La selección del lugar de ubicación de un centro de procesamiento de datos, es un factor determinante en su correcto funcionamiento, puesto que de esto depende la mayor protección y seguridad de una de las áreas más importantes de cualquier institución.\\
+
+Para la ubicación del centro de datos se debe considerar que:\\
+
+\begin{itemize}
+\item Se encuentre alejado de instalaciones eléctricas como Radares, microondas, entre otros para que no influya las señales o rayos de estas estaciones, en el funcionamiento de los equipos de computación del centro de dato 
+
+\item Lejos de estaciones de materiales volátiles, gasolinera, por que representa un latente peligro para incidentes intencionado o fortuitos,    
+
+\item En lugares no desolados o desprotegidos por se puede convertir en una blanco fácil para incidentes intencionados
+\end{itemize}
+
+Entre los factores inherentes a la localidad hay que considerar 
+
+\begin{itemize}
+\item Si el terreno donde se encuentra ubicado presenta problemas de hundimiento
+
+\item si existen condiciones climatológica adversa (áreas de constantes lluvias y descargas eléctricas, altas temperaturas, etc) para el correcto funcionamiento de los equipos de computación del centro de dato 
+
+\item Ubicada en área con constantes actividades de sismo, ya que el local del centro de datos pueda presentar destrucción parcial o total
+
+\item En áreas de inundaciones que afecte al local del centro de dato
+\end{itemize}
+
+Ademas se debe contar con todos los servicios que requiere el centro de datos para su funcionamiento de comunicación y de procesamiento de datos y que debe ser proporciona el lugar donde esta ubicado
+
+\begin{itemize}
+\item Línea telefónica
+
+\item Instalaciones eléctricas
+
+\item Antenas de comunicación
+\end{itemize}
+
+\subsection{Especificaciones técnicas del centro de dato}
+
+Se refiere a las disposiciones del local del centro de dato que se debe considerar, entre las que tenemos:\\
+
+\begin{itemize}
+\item Espacio amplio disponible por la institución con todos los servicios que requiere el centro de dato
+
+\item El acceso de los equipos de computación y del personal al centro de datos, debe ser lo mas cómodo y seguro posible, para evitar que  se presente incidente, como por ejemplo: en los traslados de los equipos de computación
+
+\item Buen diseño de las Instalaciones de suministro eléctrico, que garantice el suministre y la disponibilidad de la energía eléctrica estable, y ademas sea independiente del resto de la instalaciones del edificio del la institución.
+
+\item Se debe contar con un acondicionamiento térmico del local que controles la humedad, temperatura requerida por los equipos computacionales del centro de datos 
+
+\item Áreas adyacentes para el almacenamiento
+
+\item Instalación de pisos falso, evita que las descargas eléctricas afecten a los equipos por su característica conductiva, y representa una optima razón para la distribución de cableado, canaletas, aire acondicionado del centro de datos
+
+\item Se debe considerar la resistencia del piso falso que soporte el peso de los equipos de computación y personal que se encuentra en el centro de datos 
+
+\item Sellado hermético para preservar las condiciones térmicas del local del centro de datos y para evitar la entrada de cualquier sustancias extraña que pueda generar algún incidente, por ejemplo: la contaminación del ambiente que afecte a los operadores del centro de dato, o produzca corto circuitos en los equipos, etc 
+
+\item contar con sistemas de aterramiento, que permite la absorber descargas eléctricas, que minimiza la diferencia de potencial entre los equipos metálicos y las personas 
+
+\item Para las paredes y techos del centro de dato se recomienda usar pintura plásticas lavable para poderlos limpiarlos fácilmente y evitar las erosión, la altura del techo este entre los 2,70 y 3,30 mts para permitir la movilidad del aire dentro del centro de dato   
+
+\item Debe contar con ductos lisos y sin desprendimiento de partículas con el paso del aire que pudiera afectar a los equipos de computación
+
+\item el cableado del centro de datos se recomienda que esté dispuesto por debajo del piso falso, ubicados de forma separada en función al tipo de cables ( de alto voltaje, de bajo voltaje, de telecomunicación, y los de señales para dispositivos de detección de fuego) 
+
+\item Evitar conectar múltiples dispositivos en el mismo tomacorreinte para evitar sobrecargas en los circuitos o fase de la instalaciones electricas del centro de dato.
+
+\item Se deben evaluar al momento de diseñar un centro de datos el suministro eléctrico, ya que si no se efectúa un buen cálculo sobre la carga que se va a utilizar, podría ocasionar serios problemas al utilizar los equipos. 
+
+\item Se requiere de la disposición de Planta generadora de corriente para evitar la paralización de las actividades del centro de datos y tener disponibles los servicios, procesamientos de datos, etc, en los periodos de corte de energía eléctrica. Las características de las platas eléctricas y su instalación, estará en función a las necesidades eléctricas del centro de dato
+
+\item Fuentes o suministro de poder (UPS) para proteger a los equipos electrónicos por fluctuaciones de poder.
+\end{itemize}
+
+\subsection{Control de acceso físico}
+
+Los sistema de control de acceso debe ser un sistemas flexible y confiable para el control, monitoreo de accesos, registro de datos de los usuarios, verificación de los datos para permitir el acceso solo al personal autorizado a las instalaciones o áreas restringidas de la institución, los sistema de control de acceso, involucra personal de seguridad, políticas de seguridad, hardware y software.
+
+\begin{itemize}
+\item Identificación del personal que entra y sale del centro de datos bajo estricto control 
+
+\item Asegurar que durante la noche, el fin de semana, los descansos o cambios de turnos sean tan estricto como durante el día.
+
+\item Se debe identificar, controlar y vigilar las actividades que realizan las terceras persona durante su estadía en el centro de datos, entre las personas que se considera como terceras personas están, los visitantes, personal de limpieza, personal de mantenimiento de los diferentes equipos. 
+
+\item Instalación de Torniquetes.
+
+\item Cerraduras electromagnéticas. 
+
+\item Circuitos cerrados de televisión 
+
+\item Detectores de movimiento. 
+
+\item Tarjetas de identificación.
+
+\item Control de aperturas de puertas
+
+\item Control de acceso mediante sistemas electrónicos con tarjetas de proximidad 
+\end{itemize}
+
+\subsection{Aire acondicionado}
+
+Los equipos modernos de computación generan grandes cantidades de calor, se debe prever de un sistema de aire acondicionado para mantener un clima adecuado que permita que los equipos funcionen bien. Se debe considerar lo siguiente:
+
+\begin{itemize}
+\item El aire acondicionado debe ser exclusivo para el centro de datos por las condiciones especiales que se requiere
+
+\item Se debe contar con aire acondicionado de respaldo, en el caso que el principal presente problemas, con esto evitamos que se tenga que apagar los equipos computacionales y se aseguraría por ese lado, la disponibilidad de los servicios que presta en centro de datos ya si e
+
+\item Controles y alarmas de temperatura y humedad que permita la detección y la acción oportuna de corrección de los niveles de temperatura y humedad sin afectar los equipos de computación del centro de dato
+
+\item Capacidad de los equipos de aire acondicionado en función de las necesidades de los equipos instalados en el centro de datos y su posible tasa de crecimiento 
+
+\item Los riesgo que representa los aires acondicionado, el mal funcionamiento ocasiona que los equipos sean apagados, se pueden producir Incendios y inundaciones 
+\end{itemize}
+
+\subsection{Protección, detección y extinción de incendios}
+
+Para los centros de datos se tiene las siguientes consideraciones para proteger, detener y extinguir los incendios:
+
+\begin{itemize}
+\item El materiales de las paredes deben ser incombustible
+
+\item Techo resistente al fuego 
+
+\item Canales y aislante resistente al fuego
+
+\item Sala y área de almacenamiento impermeables
+
+\item Sistema de drenaje en el piso firme
+
+\item Detectores de fuego alejado del aire acondicionado
+
+\item Alarmas de fuego conectado al general
+
+vSistemas de detección temprana de humo
+\end{itemize}
+
+%Tipo de material
+%Tipo de extintor
+
+%H2O
+%CO2
+%Espuma
+%Polvo Seco
+%Seco 
+%E 
+%E Luego agua
+%E 
+%E luego Agua
+%Líquidos 
+%E
+%E
+%E
+%E
+%Eléctrico
+%NU
+%E
+%NU
+%E%
+
+%E: Exelente
+%NU: Nuca Usar