Index: maquetacion/capitulo10/capitulo10.tex
===================================================================
--- maquetacion/capitulo10/capitulo10.tex	(revision 9e3aa285435927c50c598f2e90a3083498c75073)
+++ maquetacion/capitulo10/capitulo10.tex	(revision 331747c7d859dad11c1413bd92bb3708d9dfd6dc)
@@ -279,18 +279,22 @@
 En este diálogo de cierre, relacionado a las apreciaciones sobre ``defensa'' y ``ataque'', se quiere hacer notar que la guerra tradicional o su variable cibernética, deben observarse dualmente, y que la enunciación que se le concede, no es una cuestión sólo de forma, sino que reviste un fondo importante. Una explicación que da un justo equilibrio entre ``defensiva'' y ``ofensiva'', centrándose en la temática informática, es la matizada por Kärkkäinen \cite{KARKKAINEN:2013}, aportando que la defensa cibernética consiste en las capacidades operativas, defensivas, ofensivas y de inteligencia, en el espacio cibernético. La anterior apreciación ratifica y complementa lo señalado por los otros estrategas, necesitándose para la delimitación de estas capacidades operativas, defensivas, ofensivas y de inteligencia en una escala regional, el aclarar los límites conceptuales de la ciberdefensa para la UNASUR, y que en definitiva logren la concisión de medidas ante acciones de ciberguerra, que resguarden entre otros ámbitos del ciberespacio la IDS.
 
-La tarea de formular una propuesta en esta temática, no pasa solamente por demarcar su carácter ofensivo/defensivo, debiendo subrayarse que para pensar en ciberdefensa, también se debe asumir el estudio de la ciberguerra, porque se considera que son conceptos que van al unísono, y sólo con su acoplamiento teórico se podrá alcanzar la profundidad de los planos: estratégico, jurídico, militar y técnico, que se han venido explicando a lo largo de este capítulo. Estos conceptos ciberdefensa-ciberguerra deben desarrollarse paralelamente, y sus diferentes planos enriquecerse mutuamente, para evitar desfaces que ocasionen la potenciación de uno en desmedro del otro. En la figura \ref{ciber1} se muestran los diferentes planos a considerar en la dualidad señalada.
-
-\begin{figure}[H]
-\includegraphics[width=\textwidth]{/home/dquintero/Documentos/libroseguridad/libros/images/CUADRO_PARA_LIBRO_1a.png}
+La tarea de formular una propuesta en esta temática, no pasa solamente por demarcar su carácter ofensivo/defensivo, debiendo subrayarse que para pensar en ciberdefensa, también se debe asumir el estudio de la ciberguerra, porque se considera que son conceptos que van al unísono, y sólo con su acoplamiento teórico se podrá alcanzar la profundidad de los planos: estratégico, jurídico, militar y técnico, que se han venido explicando a lo largo de este capítulo. Estos conceptos ciberdefensa-ciberguerra deben desarrollarse paralelamente, y sus diferentes planos enriquecerse mutuamente, para evitar desfaces que ocasionen la potenciación de uno en desmedro del otro. En la figura \ref{fig:ciber1} se muestran los diferentes planos a considerar en la dualidad señalada.
+
+\begin{figure}[h]
+\begin{center}
+\includegraphics[scale=0.5]{imagenes/CUADRO_PARA_LIBRO_1a.png}
 \caption{Ciberdefensa - Ciberguerra: Planos}
-\label{ciber1}
+\label{fig:ciber1}
+\end{center}
 \end{figure}
 
-En relación a lo indicado en la explanación y en el cuadro explicativo, la IDS que se ha venido proponiendo, podría tener la capacidad de hacer converger en la realidad de la UNASUR, la diversidad de planos detallados. El proponer una IDS pondría en marcha el proceso valorativo del ciberespacio como un interés regional, que es vinculante al plano estratégico, contribuyendo a que desde una mirada regional, se pueda estipular qué está siendo atacado, trayendo como resultado que se sustente sobre bases sólidas los rasgos de un acto de guerra informático para el subcontinente. En esta etapa, un tratamiento militar/civil es ineludible, para trabajar sobre las vulnerabilidades internas y las capacidades de potencias externas, con la finalidad de proponer acciones ofensivas y/o defensivas, que deben estar en sintonía con las proyecciones técnicas que se tengan en la región, que abarca no sólo el hecho de las infraestructuras críticas, sino el debate de lograr soberanía e independencia informática sustentadas en una idea de tecnologías libres y liberadoras. A continuación se presenta una esquema en la figura \ref{ciber2} sobre la concentración de los planos en la IDS, en un contexto general de ciberdefensa.
-
-\begin{figure}[H]
-\includegraphics[width=\textwidth]{/home/dquintero/Documentos/libroseguridad/libros/images/CUADRO_PARA_LIBRO_2a.png}
+En relación a lo indicado en la explanación y en el cuadro explicativo, la IDS que se ha venido proponiendo, podría tener la capacidad de hacer converger en la realidad de la UNASUR, la diversidad de planos detallados. El proponer una IDS pondría en marcha el proceso valorativo del ciberespacio como un interés regional, que es vinculante al plano estratégico, contribuyendo a que desde una mirada regional, se pueda estipular qué está siendo atacado, trayendo como resultado que se sustente sobre bases sólidas los rasgos de un acto de guerra informático para el subcontinente. En esta etapa, un tratamiento militar/civil es ineludible, para trabajar sobre las vulnerabilidades internas y las capacidades de potencias externas, con la finalidad de proponer acciones ofensivas y/o defensivas, que deben estar en sintonía con las proyecciones técnicas que se tengan en la región, que abarca no sólo el hecho de las infraestructuras críticas, sino el debate de lograr soberanía e independencia informática sustentadas en una idea de tecnologías libres y liberadoras. A continuación se presenta una esquema en la figura \ref{fig:ciber2} sobre la concentración de los planos en la IDS, en un contexto general de ciberdefensa.
+
+\begin{figure}[h]
+\begin{center}
+\includegraphics[scale=0.5]{imagenes/CUADRO_PARA_LIBRO_2a.png}
 \caption{Ciberdefensa y la IDS}
-\label{ciber2}
+\label{fig:ciber2}
+\end{center}
 \end{figure}
 
Index: maquetacion/compilacion.tex
===================================================================
--- maquetacion/compilacion.tex	(revision 9e3aa285435927c50c598f2e90a3083498c75073)
+++ maquetacion/compilacion.tex	(revision 331747c7d859dad11c1413bd92bb3708d9dfd6dc)
@@ -118,14 +118,4 @@
 
 
-
-
-
-
-
-
-
-
-
-
 \end{contributors}
 