Index: maquetacion/capitulo2/capitulo2.tex
===================================================================
--- maquetacion/capitulo2/capitulo2.tex	(revision c1c9daf9e920ad0af23cf149bb123341b4e2927e)
+++ maquetacion/capitulo2/capitulo2.tex	(revision 9c262ea27455c2547484fd685548682947554d75)
@@ -19,5 +19,11 @@
 seguridad no se conviertan en una forma de restricción o carga para ellos. 
 
-Hay que tener en cuenta que todas las soluciones tecnológicas implementadas por una organización tales como cortafuegos, sistemas de detección de intrusos, dispositivos biométricos, entre otros,  pueden resultar inútiles si existen elementos recurrentes en los procesos como la falta de información, el mal  uso de los controles de seguridad de la información, el no cumplimiento de las políticas de seguridad o el  desinterés o ánimo de causar daño de algún miembro desleal de la organización.
+Hay que tener en cuenta que todas las herramientas tecnológicas implementadas
+por una organización tales como cortafuegos, sistemas de detección de
+intrusos, dispositivos biométricos, entre otros,  pueden resultar inútiles
+si existen elementos recurrentes en los procesos como la falta de
+información, el mal  uso de los controles de seguridad de la información,
+el no cumplimiento de las políticas de seguridad o el  desinterés o
+ánimo de causar daño de algún miembro desleal de la organización.
 
 En este sentido se debe disponer de documentación sobre las reglas y normas
@@ -36,7 +42,22 @@
 documentación de las políticas de seguridad.
 
-El seguimiento de las políticas de seguridad y su documentación  son  elementos claves cuando una organización desea obtener una certificación, por lo tanto corresponde a uno de los pasos básicos en el proceso de maduración (mejora constante) de las políticas de seguridad.
+El seguimiento de las políticas de seguridad y su documentación 
+son  elementos claves cuando una organización desea obtener una
+certificación, por lo tanto corresponde a uno de los pasos
+básicos en el proceso de maduración (mejora constante) de las
+políticas de seguridad.
 
-En este capítulo se describen los elementos  asociados a las políticas de seguridad de la información  basados en el ciclo de los activos de información que está conformado por los siguientes conceptos: \textbf{amenaza}, \textbf{riesgo}, \textbf{vulnerabilidad}, \textbf{activos}, \textbf{valor activo}, \textbf{controles} y \textbf{Requisito de seguridad} (Ver fig. \ref{CicloSeguridadInformacion}). También se ofrece un conjunto de consejos sobre la gestión de la seguridad en una organización considerando aspectos tales como el uso de las tecnologías libres, la gestión de contraseñas y el funcionamiento de un grupo dedicado a la seguridad de la información adaptado a una visión dinámica de la organización.
+En este capítulo se describen los elementos  asociados a las políticas
+de seguridad de la información  basados en el ciclo de los activos de
+información que está conformado por los siguientes conceptos:
+\textbf{amenaza}, \textbf{riesgo}, \textbf{vulnerabilidad},
+\textbf{activos}, \textbf{valor activo}, \textbf{controles}
+y \textbf{Requisito de seguridad}
+(Ver fig. \ref{CicloSeguridadInformacion}). También se ofrece
+un conjunto de consejos sobre la gestión de la seguridad en una
+organización considerando aspectos tales como el uso de las
+tecnologías libres, la gestión de contraseñas y el funcionamiento
+de un grupo dedicado a la seguridad de la información adaptado
+a una visión dinámica de la organización.
  
 
Index: maquetacion/introduccion/introduccion.tex
===================================================================
--- maquetacion/introduccion/introduccion.tex	(revision fae3161aee3f94f04a709c0f7e61e1eeccb0aa77)
+++ maquetacion/introduccion/introduccion.tex	(revision 93412430a763496800d651d6c083df4461f9570f)
@@ -1,3 +1,3 @@
-La era digital ha implicado incontables cambios en las vidas de las personas en todo el mundo. Ya sea indirecta o directamente, cada uno de nosotros posee vínculos con el entorno digital. Utilizamos las Tecnologías de Información y Comunicación (TIC) para desarrollar un sinnúmero de actividades que contribuyen con la estructuración social y cultural. Esto ha involucrado la necesidad de adaptarnos a nuevas formas de percibir y entender la vida, incluyendo la propia forma que nos conocemos o nos damos a conocer, es decir, nuestra forma de hacer sociedad y la manera cómo evolucionan nuestras culturas. Uno de los temas que requiere particular atención en relación con estas ideas es el de la identidad en la Internet, idea de amplio uso en la informática actual y que se ha delimitado y enmarcado bajo el concepto de \textbf{Identidad Digital (ID)}. 
+La era digital ha implicado incontables cambios en las vidas de muchas personas en todo el mundo. Ya sea indirecta o directamente, buena parte de nosotros posee vínculos con el entorno digital. Utilizamos las Tecnologías de Información y Comunicación (TIC) para desarrollar un sinnúmero de actividades que contribuyen con la estructuración social y cultural. Esto ha involucrado la necesidad de adaptarnos a nuevas formas de percibir y entender la vida, incluyendo la propia forma que nos conocemos o nos damos a conocer, es decir, nuestra forma de hacer sociedad y la manera cómo evolucionan nuestras culturas. Uno de los temas que requiere particular atención en relación con estas ideas es el de la identidad en la Internet, idea de amplio uso en la informática actual y que se ha delimitado y enmarcado bajo el concepto de \textbf{Identidad Digital (ID)}. 
 
 
@@ -6,13 +6,11 @@
 En los últimos 6 años, en la Fundación CENDITEL (Nodo Mérida) se han estado realizando proyectos de investigación y desarrollo en el área de la Identidad Digital. Particularmente se ha trabajado en los temas de  Certificación Electrónica, Firma Electrónica, Privacidad y Anonimato, produciendo en este recorrido publicaciones, software y  hardware, todo ello bajo las pautas del software libre.
 
-%Este libro surge como una iniciativa para dar a conocer los aportes hechos desde la Fundación y con la intención que los lectores que no estén cercanos a estos temas de estudio, se presentan aspectos importantes de su fundamentación, por medio de las cuales se conozcan las bases teóricas necesarias para la comprensión de las propuestas hechas en CENDITEL. 
-
-Este libro surge como una iniciativa para dar a conocer los aportes hechos desde la Fundación, donde se presentan aspectos importantes de su fundamentación, con la intención que los lectores que no están cercanos a estos temas de estudio conozcan las bases teóricas necesarias para la comprensión de las propuestas hechas en CENDITEL.
+Este libro surge como una iniciativa para dar a conocer los aportes hechos desde la Fundación y con la intención de que los lectores que no estén cercanos a estos temas de estudio, se presentan aspectos importantes de su fundamentación, por medio de las cuales se conozcan las bases teóricas necesarias para la comprensión de las propuestas hechas en CENDITEL. 
 
 
 El libro se divide en tres partes, la primera de ellas orientada a fundamentar el tema en estudio desde diferentes perspectivas. Así, en el primer capítulo se describen conceptos estrechamente vinculados a la identidad digital, utilizando una estrategia de revisión de términos y tecnologías que se consideran claves  dentro del contexto venezolano y latinoamericano. Seguidamente, en el segundo capítulo se desarrolla una propuesta de “Políticas de seguridad de la información en software libre” aplicables directamente a pequeñas y medianas organizaciones,  pudiendo ser útiles también para usuarios particulares que trabajen en ambientes informáticos. En el tercer  capítulo se introduce el tema de Anonimato, concepto que abre el espectro del estudio sobre la seguridad y protección de la identidad, ya que incluye aspectos sobre el comportamiento y accionar humano, cuyo registro y perfilamiento hacen vulnerables a las personas. Para finalizar la primera parte, se discuten las principales ideas relacionadas con este tema en el área jurídica actual venezolana y sus repercusiones en los ámbitos técnicos y sociales del país.
 
-La segunda parte contiene cuatro artículos que fueron publicados en espacios de divulgación científica tales como congresos o revistas científicas,  que se quisieron compilar en este libro con el fin de que tuviesen mayor difusión. Bajo este esquema, se presenta un artículo sobre el desarrollo de una aplicación de gestión para Autoridades de Certificación Raíz de una PKI. Un segundo artículo muestra un método para integrar firmas electrónicas en procesos de negocio. Sobre anonimato se presentan dos artículos: el primero de ellos muestra una propuesta que implica utilizar estrategias bioinspiradas para la optimización en un sistema para proveer anonimato y el segundo propone una nueva forma de medir los niveles de anonimato para este tipo de sistema. 
+La segunda parte contiene cuatro artículos que fueron publicados en espacios de divulgación  tales como congresos o revistas científicas,  que se han compilado  en este libro con la finalidad que tuvieran  mayor difusión. Bajo este esquema, se presenta un artículo sobre el desarrollo de una aplicación de gestión para Autoridades de Certificación Raíz de una PKI. Un segundo artículo muestra un método para integrar firmas electrónicas en procesos de negocio. Sobre anonimato se presentan dos artículos: el primero de ellos muestra una propuesta que implica utilizar estrategias bioinspiradas para la optimización en un sistema para proveer anonimato y el segundo propone una nueva forma de medir los niveles de anonimato para este tipo de sistema. 
 
-Finalmente, la tercera parte abre la discusión desde el punto de vista político social sobre el tema de la identidad digital, ofreciendo reflexiones y apreciaciones signadas por los acontecimientos recientes en este particular.
+Finalmente, en la tercera parte se realiza una  discusión desde los puntos de vista políticos y sociales  sobre el tema de la identidad digital, ofreciendo reflexiones y apreciaciones signadas por los acontecimientos recientes en este ámbito.
 