Index: maquetacion/bibliografia.bib
===================================================================
--- maquetacion/bibliografia.bib	(revision 27df60a7d3ffe370a105e24956481419cf395fec)
+++ maquetacion/bibliografia.bib	(revision 53471269962a22ae4a977247f8976f65c5b89406)
@@ -5,69 +5,32 @@
 @Book{ NIC:03,
 	author = "R. Nichols and P. C. Lekkas",
-	editor = "McGraw-Hill",
 	title = "Seguridad para comunicaciones inal{\'a}mbricas",
 	publisher = "McGraw-Hill",
 	year = "2003",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Mexico",
-	OPTedition = "",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = "",
-	author = "R. Nichols and P. C. Lekkas"
+	address = "Mexico",
 }
 
 @Book{ ACE:03,
 	author = "Vicente Aceituno Canal",
-	editor = "Noriega Editores",
 	title = "Seguridad de la información",
 	publisher = "Noriega Editores",
 	year = "2003",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "M'exico D.F., M'exico",
-	OPTedition = "",
-	OPTmonth = "M'exico D.F.",
-	OPTnote = "",
-	OPTannote = "",
+	address = "M'exico D.F., M'exico",
 }
 
 @Book{ KURT:01,
 	author = "Kurt Wall et al",
-	editor = "Prentice Hall",
 	title = "Programación en Linux",
 	publisher = "Prentice Hall",
 	year = "2001",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Madrid, Espa~na",
-	OPTedition = "",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = "",
+	address = "Madrid, Espa~na",
 }
 
 @Book{ SARW:03,
 	author = "Sarwar, Koretsky",
-	editor = "Pearson, Prentice Hall",
 	title = "El libro de Linux",
-	publisher = "Prentice Hall",
+	publisher = "Pearson, Prentice Hall",
 	year = "2003",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Madrid, Espa~na",
-	OPTedition = "",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = "",
+	address = "Madrid, Espa~na",
 }
 
@@ -75,85 +38,42 @@
 @Book{ STRO:02,
 	author = "Bjarne Stroustrup",
-	editor = "Addison Wesley",
 	title = "El lenguaje de programaci{\'o}n C++",
 	publisher = "Addison Wesley",
 	year = "2002",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Madrid, Espa{\~n}a",
-	OPTedition = "",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = ""
+	address = "Madrid, Espa{\~n}a",
 }
 
 @Book{ BLAN:06,
 	author = "James Blanchette and Mark Summerfield",
-	editor = "Prentice Hall",
 	title = "C++ GUI Programming with Qt 4",
 	publisher = "Prentice Hall",
 	year = "2006",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Massachusetts, USA",
-	OPTedition = "",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = ""
+	address = "Massachusetts, USA",
 }
 
 @Book{ STAL:03,
 	author = "William Stallings",
-	editor = "Pearson",
 	title = "Fundamentos de Seguridad de Redes. Aplicaciones y Est{\'a}ndares",
-	publisher = "Prentice Hall",
+	publisher = "Pearson, Prentice Hall",
 	year = "2003",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Espa{\~n}a",
-	OPTedition = "2",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = ""
+	address = "Espa{\~n}a",
+	edition = "2",
 }
 
 @Book{ PRESS:05,
 	author = "Roger S. Pressman",
-	editor = "Mc Graw-Hill",
 	title = "Ingeniería del software. Un enfoque práctico",
 	publisher = "Mc Graw-Hill",
 	year = "2005",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Mexico",
-	OPTedition = "6",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = ""
+	address = "Mexico",
+	edition = "6",
 }
 
 @Book{ NASH:02,
-	author = "Andrew Nash, William Duane, Celia Joseph and Joseph Brink",
-	editor = "McGraw-Hill",
+	author = "Andrew Nash and William Duane and Celia Joseph and Joseph Brink",
 	title = "PKI: Infraestructura de clave p{\'u}blica",
 	publisher = "McGraw-Hill",
 	year = "2002",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Mexico",
-	OPTedition = "",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = ""
+	address = "Mexico",	
 }
 
@@ -163,13 +83,6 @@
 	publisher = "Wiley",
 	year = "2004",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTseries = "",
-	OPTaddress = "Mexico",
-	OPTedition = "3",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = ""
+	address = "Mexico",
+	edition = "3",
 }
 
@@ -179,11 +92,4 @@
 	journal = "Network, IEEE",
 	year = "1999",
-	OPTkey = "",
-	OPTvolume = "",
-	OPTnumber = "",
-	OPTpages = "",
-	OPTmonth = "",
-	OPTnote = "",
-	OPTannote = ""
 }
 
@@ -191,5 +97,4 @@
 	title = "Aprendiendo UML en 24 horas",
 	author = "Joseph Schmuller",
-	editor = "Prentice Hall",
 	publisher = "Prentice Hall",
 	year = "2003",
@@ -227,5 +132,5 @@
 }
 
-@Electronic{ XCA:03,
+@misc{ XCA:03,
 	title = "{XCA, una interfaz gr\'afica para OpenSSL, Claves p\'ublicas y privadas, certificados, solicitudes y listas de revocación}",
 	howpublished = "http://www.hohnstaedt.de/xca.html",
@@ -234,5 +139,5 @@
 }
 
-@Electronic{ IBM:98,
+@misc{ IBM:98,
 	title = "IBM Corporation. An overview of the IBM SET and the IBM CommercePoint Products",
 	howpublished = "http://www.software.ibm.com/commerce/set/overview.html",
@@ -243,5 +148,5 @@
 
 
-@Electronic{ FSF:07,
+@misc{ FSF:07,
 	title = "Free Software Definition",
 	howpublished = "http://www.fsf.org/licensing/essays/free-sw.html",
@@ -250,5 +155,5 @@
 }
 
-@Electronic{ TRAC:07,
+@misc{ TRAC:07,
 	title = "Welcome to the Trac Project",
 	howpublished = "http://trac.edgewall.org/",
@@ -269,5 +174,5 @@
 
 
-@Electronic{ IEEEhowto:espana,
+@misc{ IEEEhowto:espana,
 	title = "Portal del {DNI Electrónico Español}",
 	author = {},
@@ -285,5 +190,5 @@
 }
 
-@Electronic{ IEEEhowto:estonia,
+@misc{ IEEEhowto:estonia,
 	title = "Oficial Gateway to {Estonia}",
 	author = {},
@@ -302,5 +207,5 @@
 }
 
-@Electronic{ IEEEhowto:directiva,
+@misc{ IEEEhowto:directiva,
 	title = "DIRECTIVA 1999/93/{CE} DEL {P}ARLAMENTO {E}UROPEO Y DEL {C}ONSEJO",
 	author = {},
@@ -309,5 +214,5 @@
 }
 
-@Electronic{ IEEEhowto:x509,
+@misc{ IEEEhowto:x509,
 	title = "Internet {X.509} {Public Key Infrastructure Certificate and Certificate Revocation List (CRL) Profile}. {Request for Comments} ({RFC}) 5280",
 	author = {Cooper, D. and Santesson, S. and others},
@@ -317,5 +222,5 @@
 
 
-@Electronic{ IEEEhowto:pkcs7,
+@misc{ IEEEhowto:pkcs7,
 	title = "{PKCS\#7}. {Cryptographic Message Syntax}",
 	author = {},
@@ -325,12 +230,12 @@
 
 
-@Electronic{ IEEEhowto:pades,
+@misc{ IEEEhowto:pades,
 	title = "{PAdES}. {PDF Advance Electronic Signatures}",
 	author = {ETSI},
 	year = {2013},
-	howpublished = {http://www.etsi.org/deliver/etsi\_ts/102700\_102799/10277801/01.01.01\_60/ts\_10277801 v010101p.pdf},
-}
-
-@Electronic{ IEEEhowto:xmldsig,
+	howpublished = {http://www.etsi.org/standards-search},
+}
+
+@misc{ IEEEhowto:xmldsig,
 	title = "{XML Signature Syntax and Processing (Second Edition). W3C Recommendation 10 June 2008}",
 	author = {Bartel, M. and Boyer, J. and others},
@@ -339,5 +244,5 @@
 }
 
-@Electronic{ IEEEhowto:bdoc,
+@misc{ IEEEhowto:bdoc,
 	title = "Formato para firmas electrónicas",
 	author = {},
@@ -363,5 +268,5 @@
 }
 
-@Electronic{ IEEEhowto:xades,
+@misc{ IEEEhowto:xades,
 	title = "{XML Advanced Electronic Signatures (XAdES)}",
 	author = "Cruellas, J. and Karlinger, G. and others",
@@ -370,5 +275,5 @@
 }
 
-@Electronic{ IEEEhowto:mime,
+@misc{ IEEEhowto:mime,
 	title = "{Security Multiparts for MIME. Multipart/Signed and Multipart/Encrypted}",
 	author = "Galvin, J. and Murphy, S. and Crocker, S. and Freed, N.",
@@ -378,5 +283,5 @@
 
 
-@Electronic{ IEEEhowto:pkcs12,
+@misc{ IEEEhowto:pkcs12,
 	title = "{PKCS\#12. Personal Information Exchange Syntax Standard}",
 	author = "{RSA Laboratories}",
@@ -405,14 +310,14 @@
 % referencias capítulo 7
 
-@Electronic{rlsm:terminology,
+@misc{rlsm:terminology,
 	title = "Anonymity, Unobservability, and Pseudonymity: A Consolidated Proposal for Terminology",
-	author = "Pfitzmann, A., Hansen, M.",
+	author = "Pfitzmann, A. and Hansen, M.",
 	howpublished = "http://dud.inf.tu-dresden.de/Anon\_Terminology.shtml",
-	year = "2000"
+	year = "2000",
 }
 
 @Article{rlsm:diaz01,
 	title = "Towards measuring Anonymity ",
-	author = "D\'{\i}az, C., Seys, S., Claessens, J., Preneel, B.",
+	author = "D\'{\i}az, C. and Seys, S. and Claessens, J. and Preneel, B.",
 	journal = "Designing Privacy Enhancing Technologies",
 	year = "2002",
@@ -423,5 +328,5 @@
 @Article{rlsm:serj01,
 	title = "Towards an Information Theoretic Metric for Anonymity",
-	author = "Serjantov, A., Danezis, G.",
+	author = "Serjantov, A. and Danezis, G.",
 	journal = "Proceedings of Privacy Enhancing Technologies Workshop",
 	year = "2002",
@@ -443,5 +348,5 @@
 @Article{ rlsm:diaz-mixes,
 	title = "Generalising Mixes",
-	author = "D\'{\i}az, C., Serjantov, A.",
+	author = "D\'{\i}az, C. and Serjantov, A.",
 	journal = "Proceedings of Privacy Enhancing Technologies workshop",
 	year = "2003",
@@ -453,5 +358,5 @@
 @Article{ rlsm:mixminion,
 	title = "Mixminion: Design of a Type III Anonymous Remailer Protocol",
-	author = "Danezis, G., Dingledine, R., Mathewson, N.",
+	author = "Danezis, G. and Dingledine, R. and Mathewson, N.",
 	journal = "Proceedings of the 2003 IEEE Symposium on Security and Privacy",
 	year = "2003",
@@ -462,5 +367,5 @@
 @Article{rlsm:tor-design,
 	title = "Tor: The Second-Generation Onion Router",
-	author = "Dingledine, R., Mathewson, N., Syverson, P.",
+	author = "Dingledine, R. and Mathewson, N. and Syverson, P.",
 	journal = "Proceedings of the 13th USENIX Security Symposium",
 	year = "2004",
@@ -472,5 +377,5 @@
 @Article{rlsm:antnet,
 	title = "AntNet: Distributed Stigmergetic Control for Communications Networks",
-	author = "Caro, G.D., Dorigo, M.",
+	author = "Caro, G.D. and Dorigo, M.",
 	journal = "Journal of Artificial Intelligence Research",
 	year = "1998",
@@ -481,5 +386,5 @@
 @Article{ rlsm:ants-white,
 	title = "Connection Management using Adaptive Mobile Agents",
-	author = "White, T., Pagurek, B.",
+	author = "White, T. and Pagurek, B.",
 	journal = "Proceedings of the International Conference on Parallel and Distributed Processing Techniques and Applications",
 	year = "1998",
@@ -510,5 +415,5 @@
 @Article{rlsm:yuxin,
 	title = "Measuring Anonymity with Relative Entropy",
-	author = "Deng, Y., Pang, J., Wu, P.",
+	author = "Deng, Y. and Pang, J. and Wu, P.",
 	journal = "Proceedings of the 4th International Workshop on Formal Aspects in Security and Trust",
 	year = "2007",
@@ -520,5 +425,5 @@
 @Article{rlsm:combinatorial,
 	title = "A Combinatorial Approach to Measuring Anonymity",
-	author = "Edman, M., Sivrikaya, F., Yener, B.",
+	author = "Edman, M. and Sivrikaya, F. and Yener, B.",
 	journal = "Intelligence and Security Informatics",
 	year = "2007",
@@ -530,5 +435,5 @@
 @Article{rlsm:revisiting,
 	title = "Revisiting A Combinatorial Approach Toward Measuring Anonymity",
-	author = "Gierlichs, B., Troncoso, C., Diaz, C., Preneel, B., Verbauwhede, I.",
+	author = "Gierlichs, B. and Troncoso, C. and Diaz, C. and Preneel, B. and Verbauwhede, I.",
 	journal = "Workshop on Privacy in the Electronic Society",
 	year = "2008",
@@ -540,5 +445,5 @@
 @Article{rlsm:berthold,
 	title = "The Disavantages of Free Mix Routes and How to overcome them",
-	author = "Berthold, O., Pfitzmann, A., Standtke, R.",
+	author = "Berthold, O. and Pfitzmann, A. and Standtke, R.",
 	journal = "Proceedings of Privacy Enhancing Technologies Workshop",
 	year = "2001",
@@ -550,5 +455,5 @@
 @Article{ rlsm:reiter,
 	title = "Crowds: Anonymity for Web Transactions",
-	author = "Reiter, M., Rubin, A.",
+	author = "Reiter, M. and Rubin, A.",
 	journal = "ACM Transactions on Information and System Security",
 	year = "1998",
@@ -558,5 +463,5 @@
 
 
-@Electronic{ rlsm:vernier,
+@misc{ rlsm:vernier,
 	title = "What are Mean Squared Error and Root Mean Squared Error?.",
 	author = "Vernier, D., and Gastineau, J.",
@@ -799,9 +704,9 @@
 }
 
-@Electronic{cenditel_anonimato,
+@misc{cenditel_anonimato,
 author = {Endira Mora et. al},
 title = {Gestión de Anonimato},
 year = {2014},
-howpublished = {https://tibisay.cenditel.gob.ve/gestionanonimato/wiki/PlanDeTrabajo%3A},
+howpublished = {https://tibisay.cenditel.gob.ve/gestionanonimato/wiki/PlanDeTrabajo\%3A},
 }
 
@@ -821,5 +726,5 @@
 }
 
-@Electronic{ SCHNEIER:14,
+@misc{ SCHNEIER:14,
 	title = "Choosing Secure Passwords",
 	howpublished = "http://boingboing.net/2014/02/25/choosing-a-secure-password.html",
@@ -830,5 +735,5 @@
 % referencias capitulo 4
 
-@online{CHALBAUD:13,
+@misc{CHALBAUD:13,
 	author = {Chalbaud, R.},
 	title = {Derechos Humanos y su protección Constitucional},
@@ -839,5 +744,5 @@
 @Article{ OBERTO-GOVEA,
 	title = {Algunas Consideraciones sobre {Habeas Data}},
-	author = "Oberto, M., Govea, M.",
+	author = "Oberto, M. and Govea, M.",
 	journal = "Revista Telematique",
 	year = "2008",
@@ -847,5 +752,5 @@
 }
 
-@online{UTAH:2014,
+@misc{UTAH:2014,
 	author = {Horacio Fernandez Delpech},
 	title = {Ley del Estado de {Utah} sobre la {Firma Digital}. {Código Comentado. Título 46, Capítulo 3}},
@@ -857,16 +762,18 @@
 
 
-@Book{ PAREDES:2008,
+@Article{ PAREDES:2008,
 	title = "Transformación de la cultura de servicios de información: una visión legal y de tecnologías",
 	author = "Paredes, A.",
-	publisher = "",
+	journal = "Enl@ce revista Venezolana de Información, Tecnología y Conocimiento",
 	year = "2008",
-}
-
-@Book{ SALAZAR,
+	volume = "5",
+	
+}
+
+@Article{ SALAZAR,
 	title = "Habeas Data en el derecho Comparado",
 	author = "Salazar, E.",
-	publisher = "",
-	year = "2008",
+	journal = "Anuario del Instituto de Derecho Comparado de la Universidad de Carabobo",
+	year = "2006",
 }
 
@@ -894,5 +801,5 @@
 }
 
-@Electronic{UNIVERSIDADABIERTA:MEXICO,
+@misc{UNIVERSIDADABIERTA:MEXICO,
 	author = {Beatriz Di Totto},
 	title = {Delitos Informáticos},
@@ -901,5 +808,5 @@
 	
 }
-@Electronic{Bracho:2010,
+@misc{Bracho:2010,
 	author = {Pedro Bracho},
 	title = {Jurísprudencia. {Concepto y Características}},
@@ -908,5 +815,5 @@
 	
 }
-@Electronic{TIPOSPENALES:2014,
+@misc{TIPOSPENALES:2014,
 	author = {René De Sola},
 	title = {Los tipos penales en la {Ley Especial contra Delitos Informáticos}},
@@ -954,18 +861,17 @@
 	title = "{Los Mensajes de Datos y la Firma Electrónica (Seguridad Jurídica que ofrecen y Valor Probatorio)}",
 	author = "Urdaneta B., José V.",
-	publisher = "",
+	publisher = "ACADEMIA DE CIENCIAS POLÍTICAS Y SOCIALES",
 	year = "2010",
 	country="Venezuela",
 }
 
-@Book{ RONDON,
+@Article{ RONDON,
 	title = "{Comentarios generales al Decreto ley de Mensaje de  Datos y Firmas electrónicas de la República Bolivariana de Venezuela}",
 	author = "Rondón, A.",
-	publisher = "",
-	year = "0000",
-	country="Venezuela",
-}
-
-@online{LEYMODELOCNUDMI:1996,
+	journal = "Revista de la Facultad de Ciencias Jurídicas y Políticas",
+	year = "2002",
+}
+
+@misc{LEYMODELOCNUDMI:1996,
 	author = {Comisión de las Naciones Unidas para el Derecho Mercantil Internacional},
 	title = {{Ley Modelo de la CNUDMI sobre Comercio Electrónico con la Guía para su incorporación al derecho interno}},
@@ -983,5 +889,5 @@
 }
 
-@online{GOBIERNOELECTRONICOENVENEZUELA,
+@misc{GOBIERNOELECTRONICOENVENEZUELA,
 	author = {UCV},
 	title = {Gobierno Eelctrónico},
@@ -1039,5 +945,5 @@
 }
 
-@Electronic{BOLIVAR:1819,
+@misc{BOLIVAR:1819,
 	author = "Bolívar, S.",
 	title = "{Discurso ante el Congreso de Angostura el 15 de Febrero de 1819}",
@@ -1074,5 +980,5 @@
 }
 
-@online{SHELLEY:1818,
+@misc{SHELLEY:1818,
 	author = {Shelley, M.},
 	title = {Frankenstein o el Moderno Prometeo},
@@ -1220,5 +1126,5 @@
 % referencias del capitulo 10
 
-@Electronic{DRAE:CIBERNETICA,
+@misc{DRAE:CIBERNETICA,
 	author = {Real Academia de la Lengua Española},
 	title = {Diccionario de la Lengua Española (DRAE)},
@@ -1238,5 +1144,5 @@
 @Article{BURTSEVA:2013,
 	title = "Norbert Wiener: Padre de la cibernética.",
-	author = "Burtseva, L., Tyrsa, V., Ríos, B., Flores, L.",
+	author = "Burtseva, L. and Tyrsa, V. and Ríos, B. and Flores, L.",
 	journal = "Revista UABC",
 	year = "2013",
@@ -1316,5 +1222,5 @@
 @Book{ WINTERFELD:2012,
 	title = "The Basics of Cyber Warfare: Understanding the Fundamentals of Cyber Warfare in Theory and Practice",
-	author = "Winterfeld, S., Andress, J.",
+	author = "Winterfeld, S. and Andress, J.",
 	publisher = "Elsevier Inc.",
 	year = "2012",
@@ -1372,5 +1278,5 @@
 @Article{FOJON:2011,
 	title = "Ciberespacio: La Nueva Dimensión del Entorno Operativo",
-	author = "Sanz, A., Fojón, E.",
+	author = "Sanz, A. and Fojón, E.",
 	journal = "Centro Superior de Estudios de la Defensa Nacional Monografías del Ceseden",
 	year = "2011",
@@ -1382,5 +1288,5 @@
 @Article{SALMINEN:2013,
 	title = "The Fog of Cyber Defence",
-	author = "Rantapelkonen, J., Salminen, M.",
+	author = "Rantapelkonen, J. and Salminen, M.",
 	journal = "National Defence University. Department of Leadership and Military Pedagogy",
 	year = "2013",
@@ -1423,5 +1329,5 @@
 
 
-@Electronic{DoD:2012,
+@misc{DoD:2012,
 	author = {Panetta, L.},
 	title = {Remarks by Secretary Panetta on Cybersecurity to the Business Executives for National Security},
@@ -1430,5 +1336,5 @@
 }
 
-@Electronic{CHINESE:2013,
+@misc{CHINESE:2013,
 	author = {Chinese People's Liberation Army},
 	title = {Pentagon's cyberattack accusations irresponsible: expert},
@@ -1514,5 +1420,5 @@
 @Book{ JANCZEWSKI:2008,
 	title = "Cyber warfare and cyber terrorism",
-	author = "Janczewski, L.,  Colarik, A.",
+	author = "Janczewski, L. and  Colarik, A.",
 	publisher = "IGI Global",
 	year = "2008",
@@ -1595,5 +1501,5 @@
 
 
-@Electronic{CDS:2008,
+@misc{CDS:2008,
 	author = {Consejo de Defensa Sudamericano},
 	title = {Objetivos Consejo de Defensa Suramericano UNASUR},
@@ -1620,5 +1526,5 @@
 }
 
-@Electronic{DANTAS:2013,
+@misc{DANTAS:2013,
 	author = {Dantas, C. y Jeronimo, J.},
 	title = {Como eles espionam. Istoe.},
@@ -1660,5 +1566,5 @@
 
 
-@Electronic{ZIBECHI:2011,
+@misc{ZIBECHI:2011,
 	author = {Zibechi, R.},
 	title = {La silenciosa revolución suramericana},
@@ -1710,5 +1616,5 @@
 }
 
-@Electronic{TELAM:2014,
+@misc{TELAM:2014,
 	author = {Assange, J.},
 	title = {No hay elección, tenemos que pasarnos al software libre para nuestra mejor protección},
@@ -1727,4 +1633,5 @@
 @Book{LENIN:1973,
 title = {Vladímir Lenin Obras Tomo XII (1921-1923)},
+author = {Vladímir Lenin},
 publisher = {PROGRESO},
 year = {1973},
@@ -1759,5 +1666,5 @@
 }
 
-@Electronic{NSA:2009, 
+@misc{NSA:2009, 
 	author = {NSA},
 	title = {SIGINT Frequently Asked Questions},